Bug 789278 - Issues reported by Coverity static analysis tool
Issues reported by Coverity static analysis tool
Status: POST
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: bugs@gluster.org
: Reopened, Tracking, Triaged
Depends On:
Blocks: 1215026 1352281
  Show dependency treegraph
 
Reported: 2012-02-10 04:32 EST by Ujjwala
Modified: 2016-09-30 06:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1122834 1215026 1352281 (view as bug list)
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ujjwala 2012-02-10 04:32:26 EST
Description of problem:
Ran coverity static analysis on Glusterfs-3.3.0qa21.
Below is the summary report:
=========================================================================
Analysis summary report:
------------------------
Files analyzed                 : 215
Total LoC input to cov-analyze : 219946
Functions analyzed             : 6428
Paths analyzed                 : 1189156
Defect occurrences found       : 395 Total
                                   6 ARRAY_VS_SINGLETON
                                   4 BAD_FREE
                                   1 CHAR_IO
                                  38 CHECKED_RETURN
                                  31 DEADCODE
                                 122 FORWARD_NULL
                                   6 MISSING_BREAK
                                  16 NEGATIVE_RETURNS
                                  26 NO_EFFECT
                                  20 NULL_RETURNS
                                   5 OVERRUN_STATIC
                                  86 RESOURCE_LEAK
                                  13 REVERSE_INULL
                                   1 SIZECHECK
                                   1 SIZEOF_MISMATCH
                                   1 STRAY_SEMICOLON
                                   2 UNINIT
                                   5 UNREACHABLE
                                   5 UNUSED_VALUE
                                   2 USE_AFTER_FREE
                                   4 VARARGS

Exceeded path limit of 5000 paths in 0.22% of functions (normally up to 5% of functions encounter this limitation)
===========================================================================
Please contact me for the machine details.

Version-Release number of selected component (if applicable):
Glusterfs-3.3.0qa21

How reproducible:
Always

Steps to Reproduce:
1. Install Cov static analysis.
2. Compile the code with cov-build
3. Run cov-analyse on the build.
4. Run cov-commit-defects
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-04-23 17:53:05 EDT
CHANGE: http://review.gluster.com/3145 (core: coverity issues fixed) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Amar Tumballi 2012-05-03 04:59:44 EDT
Analysis summary report:
------------------------
Files analyzed                 : 227
Total LoC input to cov-analyze : 234721
Functions analyzed             : 6735
Paths analyzed                 : 1201804
Defect occurrences found       : 345 Total
                                   4 ARRAY_VS_SINGLETON (HIGH)
                                   1 CHAR_IO
                                  38 CHECKED_RETURN
                                  48 DEADCODE
                                 106 FORWARD_NULL
                                   5 MISSING_BREAK
                                   7 NEGATIVE_RETURNS
                                  22 NO_EFFECT
                                   6 NULL_RETURNS
                                   3 OVERRUN_STATIC (HIGH)
                                  74 RESOURCE_LEAK (HIGH)
                                  13 REVERSE_INULL
                                   2 STRAY_SEMICOLON
                                   1 UNINIT (HIGH)
                                   4 UNREACHABLE
                                   5 UNUSED_VALUE
                                   6 VARARGS
-------------------------

Shows that most of the HIGH issues compared to earlier codebase are fixed now. Other than 'RESOURCE LEAK', we have most of the HIGH issues as false positive.
Comment 3 Amar Tumballi 2012-05-04 03:06:38 EDT
http://review.gluster.com/3265 && http://review.gluster.com/3266 sent, but looking at it, its better to take this bug as a ERRATA fix, and not a release blocker, because the changes involved to fix all of these are significant code change (and touches most part of the code), so QA will become very serious problem.

Taking it off the 'beta' blocker list.
Comment 4 Anand Avati 2012-05-09 03:41:30 EDT
CHANGE: http://review.gluster.com/3266 (geo-replication: coverity resource leak fixes) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Anand Avati 2012-05-18 03:45:23 EDT
CHANGE: http://review.gluster.com/3345 (geo-rep / gsyncd.c: fix coverity fix) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 6 Amar Tumballi 2012-06-06 08:40:30 EDT
Keep this open till we fix all the valid coverity warnings.
Comment 7 Amar Tumballi 2012-07-11 06:18:57 EDT
releng-test1.englab.brq.redhat.com/covscan/task/757/
Comment 8 Vijay Bellur 2012-07-11 22:11:29 EDT
CHANGE: http://review.gluster.com/3589 (xlator options: remove overwritten data-self-heal initializer) merged in master by Anand Avati (avati@redhat.com)
Comment 9 Vijay Bellur 2012-07-11 22:13:17 EDT
CHANGE: http://review.gluster.com/3594 (nfs-common: don't let 0-length path cause buf[-1] access) merged in master by Anand Avati (avati@redhat.com)
Comment 10 Vijay Bellur 2012-07-11 22:13:40 EDT
CHANGE: http://review.gluster.com/3591 (glusterd: avoid buffer overrun for over-long volname) merged in master by Anand Avati (avati@redhat.com)
Comment 11 Vijay Bellur 2012-07-11 22:14:30 EDT
CHANGE: http://review.gluster.com/3596 (gsyncd: don't let a bogus config file make us read/write buf[-1]) merged in master by Anand Avati (avati@redhat.com)
Comment 12 Vijay Bellur 2012-07-11 22:15:00 EDT
CHANGE: http://review.gluster.com/3603 (read_conf: don't let a corrupt config file cause invalid line[-1] reference) merged in master by Anand Avati (avati@redhat.com)
Comment 13 Vijay Bellur 2012-07-11 22:17:27 EDT
CHANGE: http://review.gluster.com/3646 (cli: print_brick_status: don't smash stack) merged in master by Anand Avati (avati@redhat.com)
Comment 14 Vijay Bellur 2012-07-11 22:18:09 EDT
CHANGE: http://review.gluster.com/3606 (cli: cli_cmd_get_confirmation: don't reference answer[-1] for NUL input) merged in master by Anand Avati (avati@redhat.com)
Comment 15 Vijay Bellur 2012-07-11 22:35:00 EDT
CHANGE: http://review.gluster.com/3648 (glusterfsd: don't ignore tmpfile write failure (2x)) merged in master by Anand Avati (avati@redhat.com)
Comment 16 Vijay Bellur 2012-07-12 03:27:30 EDT
CHANGE: http://review.gluster.com/3647 (geo-rep: don't let unexpected status provoke undefined behavior) merged in master by Anand Avati (avati@redhat.com)
Comment 17 Vijay Bellur 2012-07-13 17:05:36 EDT
CHANGE: http://review.gluster.com/3669 (gsyncd: don't dereference NULL upon failed realloc) merged in master by Anand Avati (avati@redhat.com)
Comment 18 Vijay Bellur 2012-07-13 17:06:42 EDT
CHANGE: http://review.gluster.com/3670 (cli-xml-output.c: avoid NULL-deref upon OOM) merged in master by Anand Avati (avati@redhat.com)
Comment 19 Amar Tumballi 2012-12-21 06:16:39 EST
considering this bug will be open forever (ie, coverity issues may be present in any versions, and will be valid for all versions), reducing the priority, and marking it as ON_DEV (to separate out from ASSIGNED state).
Comment 21 Lalatendu Mohanty 2014-01-13 07:02:44 EST
I was not aware of this bug, so have sent some patches as RFC to fix Coverity issues. Just to keep a track, I am putting the links of the patches here.

http://review.gluster.org/#/c/6626/
http://review.gluster.org/#/c/6667/
http://review.gluster.org/#/c/6313/
http://review.gluster.org/#/c/6645/
Comment 22 Anand Avati 2014-01-14 09:03:12 EST
REVIEW: http://review.gluster.org/6697 (libgfapi: Fixing possible dereferencing of null pointer "glfd" Fix: Putting a check so that pointer derefrence does not happen when "gfld" is null) posted (#1) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 23 Anand Avati 2014-01-14 13:01:07 EST
REVIEW: http://review.gluster.org/6700 (geo-rep: Fixing null pointer dereference of "op_value") posted (#1) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 24 Anand Avati 2014-01-14 13:57:17 EST
REVIEW: http://review.gluster.org/6701 (core: Fixing Coverity issue "Use of uninitialized scalar variable") posted (#1) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 25 Anand Avati 2014-01-15 13:09:07 EST
COMMIT: http://review.gluster.org/6700 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f3e227d525ee04a3ea0196f7a15aa9b1a8f8cae1
Author: Lalatendu Mohanty <lmohanty@redhat.com>
Date:   Tue Jan 14 23:24:50 2014 +0530

    geo-rep: Fixing null pointer dereference of "op_value"
    
    Change-Id: Id39743eaa5a52cc7fd4e2a1378a23384f5ef1fed
    BUG: 789278
    Signed-off-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-on: http://review.gluster.org/6700
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
    Tested-by: Avra Sengupta <asengupt@redhat.com>
Comment 26 Anand Avati 2014-01-15 16:50:52 EST
REVIEW: http://review.gluster.org/6697 (libgfapi: Fixing possible dereferencing of null pointer "glfd") posted (#2) for review on master by Anand Avati (avati@redhat.com)
Comment 27 Anand Avati 2014-01-16 03:59:11 EST
COMMIT: http://review.gluster.org/6697 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c9008fe6a1a4d9c25c4b11804bcc9e5b6edf9bec
Author: Lalatendu Mohanty <lmohanty@redhat.com>
Date:   Tue Jan 14 12:35:54 2014 +0530

    libgfapi: Fixing possible dereferencing of null pointer "glfd"
    
    Fix: Putting a check so that pointer derefrence does not happen
    when "gfld" is null
    
    Change-Id: I281b10be445bbeec3a2728fc139d5ac94372e5b6
    BUG: 789278
    Signed-off-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-on: http://review.gluster.org/6697
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 28 Anand Avati 2014-01-16 09:15:00 EST
REVIEW: http://review.gluster.org/6701 (core: Fixing Coverity issue "Use of uninitialized scalar variable") posted (#2) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 29 Anand Avati 2014-01-16 10:10:49 EST
REVIEW: http://review.gluster.org/6701 (core: Fixing Coverity issue "Use of uninitialized scalar variable") posted (#3) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 30 Anand Avati 2014-01-16 10:19:43 EST
REVIEW: http://review.gluster.org/6701 (core: Coverity issue "Use of uninitialized scalar variable") posted (#4) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 31 Anand Avati 2014-01-18 11:47:31 EST
COMMIT: http://review.gluster.org/6701 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 1ffc3ac9639e25c91ac26488b648d5523becb08e
Author: Lalatendu Mohanty <lmohanty@redhat.com>
Date:   Tue Jan 14 23:50:51 2014 +0530

    core: Coverity issue "Use of uninitialized scalar variable"
    
    Issue:
    1. In "unlink (export_path)" "export_path" might contain an arbitrary value left from earlier
     computations.
    2. In "(msg[0] != '\0')"  msg might contain an arbitrary value
    
    Change-Id: Icca8f557fd6b5e046dff1d5a84a72061975868d0
    BUG: 789278
    Signed-off-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-on: http://review.gluster.org/6701
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 32 Anand Avati 2014-01-20 15:16:26 EST
REVIEW: http://review.gluster.org/6738 (posix: Fix an incorrect alloca found by Coverity) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 33 Anand Avati 2014-01-20 15:30:20 EST
REVIEW: http://review.gluster.org/6739 (posix: Fix an incorrect alloca found by Coverity) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 34 Anand Avati 2014-01-20 15:49:36 EST
REVIEW: http://review.gluster.org/6740 (geo-rep: Fixing a memory leak issue reported by Coverity) posted (#1) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 35 Anand Avati 2014-01-20 16:00:47 EST
REVIEW: http://review.gluster.org/6741 (quota: Fixing an incorrect GF_FREE on an array type value) posted (#1) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 36 Anand Avati 2014-01-20 16:19:23 EST
REVIEW: http://review.gluster.org/6743 (mgmt: Fix resource leak found by Coverity.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 37 Anand Avati 2014-01-21 04:33:07 EST
REVIEW: http://review.gluster.org/6749 (Fix for dereference null pointer Checking of frame before calling STACK_DESTROY (frame->root) Signed-off-by: surabhi <sbhaloth@redhat.com>) posted (#1) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 38 Anand Avati 2014-01-21 04:36:03 EST
REVIEW: http://review.gluster.org/6749 (core: Fix for dereference null pointer Checking of frame before calling STACK_DESTROY (frame->root) Signed-off-by: surabhi <sbhaloth@redhat.com>) posted (#2) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 39 Anand Avati 2014-01-21 04:39:09 EST
REVIEW: http://review.gluster.org/6749 (core:Fixing NULL dereference issue Checking of frame before calling STACK_DESTROY (frame->root) Signed-off-by: surabhi <sbhaloth@redhat.com>) posted (#3) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 40 Anand Avati 2014-01-21 04:40:29 EST
REVIEW: http://review.gluster.org/6749 (core:Fixing NULL dereference issue.) posted (#4) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 41 Anand Avati 2014-01-21 20:52:02 EST
REVIEW: http://review.gluster.org/6754 (glusterd: Fix memory leak of hostname.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 42 Anand Avati 2014-01-21 22:50:01 EST
REVIEW: http://review.gluster.org/6755 (mgmt: Fix memory leak of brickid from gf_asprintf.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 43 Anand Avati 2014-01-22 09:09:43 EST
COMMIT: http://review.gluster.org/6754 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2fe405c808fdbc9109bced9ec52be9d79ca321e7
Author: Ira Cooper <ira@samba.org>
Date:   Tue Jan 21 20:42:22 2014 -0500

    glusterd: Fix memory leak of hostname.
    
    The if causes a goto that allows the GF_FREE to be missed.
    
    BUG: 789278
    Change-Id: Ic2c20b7623ea880b8ab2d11ebe510a62633a036d
    CID: 1124785
    Signed-off-by: Ira Cooper <ira@samba.org>
    Reviewed-on: http://review.gluster.org/6754
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 44 Anand Avati 2014-01-22 09:11:09 EST
COMMIT: http://review.gluster.org/6749 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 57edad947b4c43d7c8f05bac45c8e63c788f43ca
Author: surabhi <sbhaloth@redhat.com>
Date:   Tue Jan 21 14:55:29 2014 +0530

    core:Fixing NULL dereference issue.
    
    1.Checking of frame before calling STACK_DESTROY (frame->root)
    Signed-off-by: surabhi <sbhaloth@redhat.com>
    
    Change-Id: I21d27a8b4e556c00cd123afe8512e010a1a1f80d
    BUG: 789278
    Signed-off-by: surabhi <sbhaloth@redhat.com>
    Reviewed-on: http://review.gluster.org/6749
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 45 Anand Avati 2014-01-22 23:10:30 EST
REVIEW: http://review.gluster.org/6763 (libgfapi: Fix pointer dereference before NULL check) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 46 Anand Avati 2014-01-23 14:54:22 EST
REVIEW: http://review.gluster.org/6769 (cluster/stripe: Remove redundant code blocks) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 47 Anand Avati 2014-01-23 15:00:00 EST
REVIEW: http://review.gluster.org/6769 (cluster/stripe: Remove redundant code blocks) posted (#2) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 48 Anand Avati 2014-01-23 16:53:54 EST
REVIEW: http://review.gluster.org/6771 (cluster/dht: goto statements may cause loop exit before memory is freed.) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 49 Anand Avati 2014-01-24 04:29:59 EST
COMMIT: http://review.gluster.org/6769 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3340a896a15fdfbfff2777f3f53a472eb62ae2e9
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Thu Jan 23 13:43:14 2014 -0600

    cluster/stripe: Remove redundant code blocks
    
    This appears to have been a cut&paste error.  The same set of 12 lines
    was repeated three times, causing a pointer to allocated memory to be
    overwritten twice resulting in a memory leak.
    
    This patch removes the redundant code.
    
    BUG: 789278
    CID: 1128915
    
    Change-Id: I3e4a3703b389c00e2a4e99e0a7368c5a3dda74d0
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6769
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 50 Anand Avati 2014-01-24 04:36:40 EST
COMMIT: http://review.gluster.org/6771 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4ac61e7354d0c79e235e1b3be269a989ee0a83e6
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Thu Jan 23 15:37:09 2014 -0600

    cluster/dht: goto statements may cause loop exit before memory is freed.
    
    Memory is allocated at the top of the while loop via a call to
    gf_strdup(), but there are several goto calls that exit the loop, and
    the memory is not freed before each of those calls to goto.  This fix
    moves the final call to GF_FREE() higher in the loop so that the memory
    is correctly freed.
    
    Two variables, dup_str and str_tmp1, point to portions of the allocated
    memory.  Neither are used past the final call to GF_FREE( dup_str ).
    
    BUG: 789278
    CID: 1124780
    
    Change-Id: Id24b80cdbfd8b8855c80fffec63d7fce98cbed4a
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6771
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 51 Anand Avati 2014-01-24 04:42:09 EST
COMMIT: http://review.gluster.org/6763 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit bb63256b7ea1f186bbe3fae9040a6c191c9d6544
Author: Jose A. Rivera <jarrpa@redhat.com>
Date:   Wed Jan 22 21:51:42 2014 -0600

    libgfapi: Fix pointer dereference before NULL check
    
    Call to dict_keys_join dereferences xattr before it is checked
    for NULL. Restructured the function to check for NULL earlier and
    call dict_unref only when needed.
    
    BUG: 789278
    CID: 1124826
    
    Change-Id: I732fa304ad6f3b921c589832d13f73bbd36f589c
    Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
    Reviewed-on: http://review.gluster.org/6763
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 52 Anand Avati 2014-01-24 09:29:12 EST
REVIEW: http://review.gluster.org/6778 (nfs/server: Logic error in mount tab handling.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 53 Anand Avati 2014-01-24 09:56:50 EST
REVIEW: http://review.gluster.org/6779 (glusterd: Free leaked error message.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 54 Anand Avati 2014-01-24 10:11:57 EST
REVIEW: http://review.gluster.org/6780 (glusterd: Free dup_value when error path is taken.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 55 Anand Avati 2014-01-24 11:02:34 EST
REVIEW: http://review.gluster.org/6782 (libgfapi: Fix pointer dereference before NULL check) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 56 Anand Avati 2014-01-24 11:02:42 EST
REVIEW: http://review.gluster.org/6783 (libgfapi: Remove useless call to lstat) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 57 Anand Avati 2014-01-24 11:26:47 EST
REVIEW: http://review.gluster.org/6784 (glusterd: Free op_errstr before it goes out of scope.) posted (#1) for review on master by Ira Cooper (ira@redhat.com)
Comment 58 Anand Avati 2014-01-24 11:44:09 EST
REVIEW: http://review.gluster.org/6755 (mgmt: Fix memory leak of brickid from gf_asprintf.) posted (#2) for review on master by Ira Cooper (ira@redhat.com)
Comment 59 Anand Avati 2014-01-24 16:17:32 EST
REVIEW: http://review.gluster.org/6783 (libgfapi: Remove useless call to lstat) posted (#2) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 60 Anand Avati 2014-01-24 16:19:59 EST
REVIEW: http://review.gluster.org/6782 (libgfapi: Fix pointer dereference before NULL check) posted (#2) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 61 Anand Avati 2014-01-24 16:20:38 EST
REVIEW: http://review.gluster.org/6783 (libgfapi: Remove useless call to lstat) posted (#3) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 62 Anand Avati 2014-01-24 17:14:42 EST
REVIEW: http://review.gluster.org/6787 (cluster/dht: goto statements may cause loop exit before memory is freed.) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 63 Anand Avati 2014-01-25 02:46:44 EST
COMMIT: http://review.gluster.org/6782 committed in master by Anand Avati (avati@redhat.com) 
------
commit 8814fdafab377139cdf3863096234f4d5b6e543e
Author: Jose A. Rivera <jarrpa@redhat.com>
Date:   Fri Jan 24 09:56:17 2014 -0600

    libgfapi: Fix pointer dereference before NULL check
    
    ctx is not checked for NULL before it is dereferenced, though the
    check in "err" seems to suggest we should guard against it.
    
    BUG: 789278
    CID: 1124827
    
    Change-Id: I6ed0b42992af5f370cce9aa2feb56811cdd54b42
    Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
    Reviewed-on: http://review.gluster.org/6782
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 64 Anand Avati 2014-01-25 02:47:25 EST
COMMIT: http://review.gluster.org/6783 committed in master by Anand Avati (avati@redhat.com) 
------
commit c0ac21222383315b9fe84ac7c0afdf01e3ecef7b
Author: Jose A. Rivera <jarrpa@redhat.com>
Date:   Fri Jan 24 10:00:02 2014 -0600

    libgfapi: Remove useless call to lstat
    
    There's no need to lstat cmd_args->volfile, since we already
    check to see if fopen fails. The error message was largely the
    same.
    
    BUG: 789278
    CID: 1124869
    
    Change-Id: I10827154b32c72d2e4a1ab0d3c1e464f8af6ffee
    Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
    Reviewed-on: http://review.gluster.org/6783
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 65 Anand Avati 2014-01-25 02:49:46 EST
COMMIT: http://review.gluster.org/6755 committed in master by Anand Avati (avati@redhat.com) 
------
commit 1968ec12e62a22fc6e55c4bcc7170d036bf28932
Author: Ira Cooper <ira@samba.org>
Date:   Tue Jan 21 22:46:59 2014 -0500

    mgmt: Fix memory leak of brickid from gf_asprintf.
    
    No GF_FREE, so one was put into the return path with proper checking.
    
    Change-Id: Idde2803608409dcbf216062f83b7f4493946ba70
    CID: 1124718
    BUG: 789278
    Signed-off-by: Ira Cooper <ira@samba.org>
    Reviewed-on: http://review.gluster.org/6755
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 66 Anand Avati 2014-01-25 02:53:26 EST
COMMIT: http://review.gluster.org/6779 committed in master by Anand Avati (avati@redhat.com) 
------
commit 580d91eb563e8d8a9eb11dbe1c285541c70dbe16
Author: Ira Cooper <ira@samba.org>
Date:   Fri Jan 24 09:54:19 2014 -0500

    glusterd: Free leaked error message.
    
    The way the previous code was written you couldn't tell if the string was
    from the data area, or allocated, so we switched how the error message
    is printed, and now free unconditionally.
    
    Change-Id: Ia83cf9893acdfb5d537a61cc0bbf4aa7689e483d
    CID: 1124704
    BUG: 789278
    Signed-off-by: Ira Cooper <ira@samba.org>
    Reviewed-on: http://review.gluster.org/6779
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 67 Anand Avati 2014-01-25 02:56:37 EST
COMMIT: http://review.gluster.org/6778 committed in master by Anand Avati (avati@redhat.com) 
------
commit 0f6fb218e41e3f5d2a1b76b217197b2ca7597ff7
Author: Ira Cooper <ira@samba.org>
Date:   Fri Jan 24 09:25:58 2014 -0500

    nfs/server: Logic error in mount tab handling.
    
    This error likely causes a double free and also a memory leak.
    
    Change-Id: I299209a8b5bf8aaf487e52e9a4f00948e1d40eb5
    CID: 1124703
    BUG: 789278
    Signed-off-by: Ira Cooper <ira@samba.org>
    Reviewed-on: http://review.gluster.org/6778
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 68 Anand Avati 2014-01-25 04:39:30 EST
COMMIT: http://review.gluster.org/6784 committed in master by Anand Avati (avati@redhat.com) 
------
commit d9fbebde0d2ae166c750121f807c440f6ea65478
Author: Ira Cooper <ira@samba.org>
Date:   Fri Jan 24 11:24:28 2014 -0500

    glusterd: Free op_errstr before it goes out of scope.
    
    Also removed the NULL check on path_list, as it shouldn't be needed.
    
    Change-Id: I5b655f7b383f301afa8fc1c1c09b31e2afe47f0f
    CID: 1138527
    BUG: 789278
    Signed-off-by: Ira Cooper <ira@samba.org>
    Reviewed-on: http://review.gluster.org/6784
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 69 Anand Avati 2014-01-26 14:57:15 EST
REVIEW: http://review.gluster.org/6787 (cluster/dht: goto statements may cause loop exit before memory is freed.) posted (#2) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 70 Anand Avati 2014-01-27 03:49:08 EST
REVIEW: http://review.gluster.org/6799 (libglusterfs:Fixing Dereference NULL return value. Checking of data for NULL.) posted (#1) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 71 Anand Avati 2014-01-27 03:50:32 EST
REVIEW: http://review.gluster.org/6799 (libglusterfs:Fixing Dereference NULL return value.) posted (#2) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 72 Anand Avati 2014-01-27 03:53:16 EST
REVIEW: http://review.gluster.org/6799 (libglusterfs:Fixing Dereference NULL return value.) posted (#3) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 73 Anand Avati 2014-01-27 06:23:29 EST
REVIEW: http://review.gluster.org/6822 (performance/io-cache: Fix dereferencing of freed pointer) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 74 Anand Avati 2014-01-27 06:28:35 EST
REVIEW: http://review.gluster.org/6823 (quick-read: Remove unref of a freed iobuf.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 75 Anand Avati 2014-01-27 06:29:49 EST
REVIEW: http://review.gluster.org/6824 (features/qemu-block: Remove unref of freed iobuf) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 76 Anand Avati 2014-01-27 16:09:46 EST
REVIEW: http://review.gluster.org/6826 (cluster/dht: Abandoned memory if a call fails) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 77 Anand Avati 2014-01-27 17:51:11 EST
REVIEW: http://review.gluster.org/6827 (performance/quick-read: Allocated memory not freed when not used.) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 78 Anand Avati 2014-01-27 18:54:54 EST
REVIEW: http://review.gluster.org/6828 (features/index: Loop exit without freeing in-use memory.) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 79 Anand Avati 2014-01-27 22:59:34 EST
REVIEW: http://review.gluster.org/6829 (cli: Fixing resource leak) posted (#1) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 80 Anand Avati 2014-01-27 23:02:02 EST
REVIEW: http://review.gluster.org/6829 (cli: Fixing resource leak) posted (#2) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 81 Anand Avati 2014-01-28 09:51:04 EST
REVIEW: http://review.gluster.org/6826 (cluster/dht: Abandoned memory if a call fails) posted (#2) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 82 Anand Avati 2014-01-29 05:12:55 EST
REVIEW: http://review.gluster.org/6741 (quota: Fixing a possibility of GF_FREE on an array pointer) posted (#2) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 83 Anand Avati 2014-01-29 06:42:55 EST
REVIEW: http://review.gluster.org/6852 (gNFS: Coverity fix) posted (#1) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 84 Anand Avati 2014-01-29 07:37:05 EST
REVIEW: http://review.gluster.org/6780 (glusterd: Free dup_value when error path is taken.) posted (#2) for review on master by Ira Cooper (ira@redhat.com)
Comment 85 Anand Avati 2014-01-29 08:21:02 EST
REVIEW: http://review.gluster.org/6852 (gNFS: Coverity fix) posted (#2) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 86 Anand Avati 2014-01-29 08:21:49 EST
REVIEW: http://review.gluster.org/6852 (gNFS: Coverity fix) posted (#3) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 87 Anand Avati 2014-01-29 13:22:46 EST
REVIEW: http://review.gluster.org/6741 (quota: Fixing a possibility of GF_FREE on an array pointer) posted (#3) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 88 Anand Avati 2014-01-29 22:24:42 EST
REVIEW: http://review.gluster.org/6739 (posix: Fix allocation of struct dirent.) posted (#2) for review on master by Ira Cooper (ira@redhat.com)
Comment 89 Anand Avati 2014-01-29 22:39:50 EST
COMMIT: http://review.gluster.org/6824 committed in master by Anand Avati (avati@redhat.com) 
------
commit 410fe979b4e2492f04e9cc8949f5ef5041e1135a
Author: Poornima <pgurusid@redhat.com>
Date:   Thu Jan 23 22:55:45 2014 +0000

    features/qemu-block: Remove unref of freed iobuf
    
    Change-Id: I507a6504b379eef54be77b54d6e2beee63975ebf
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6824
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 90 Anand Avati 2014-01-29 23:16:37 EST
REVIEW: http://review.gluster.org/6739 (posix: Fix allocation of struct dirent.) posted (#3) for review on master by Ira Cooper (ira@redhat.com)
Comment 91 Anand Avati 2014-01-30 06:16:22 EST
REVIEW: http://review.gluster.org/6799 (libglusterfs:Fixing Dereference NULL return value.) posted (#4) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 92 Anand Avati 2014-01-30 07:44:08 EST
REVIEW: http://review.gluster.org/6799 (libglusterfs:Fixing Dereference NULL return value.) posted (#5) for review on master by Surabhi Bhalothia (surabhi.bhalothia@gmail.com)
Comment 93 Anand Avati 2014-01-30 07:49:27 EST
REVIEW: http://review.gluster.org/6868 (Fix for 'use after free' errors reported by coverity.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 94 Anand Avati 2014-01-30 07:55:55 EST
REVIEW: http://review.gluster.org/6869 (performance/io-cache: Fix for the bugs reported by coverity) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 95 Anand Avati 2014-01-30 09:24:25 EST
REVIEW: http://review.gluster.org/6870 (changelog: Restrict length of unix socket files to UNIX_PATH_MAX.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 96 Anand Avati 2014-01-30 21:26:03 EST
REVIEW: http://review.gluster.org/6870 (changelog: Restrict length of unix socket files to UNIX_PATH_MAX.) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 97 Anand Avati 2014-01-31 03:22:16 EST
REVIEW: http://review.gluster.org/6881 (mgmt/glusterd: Fix double free.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 98 Anand Avati 2014-01-31 08:09:40 EST
REVIEW: http://review.gluster.org/6826 (cluster/dht: Abandoned memory if a call fails) posted (#3) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 99 Anand Avati 2014-01-31 08:27:46 EST
REVIEW: http://review.gluster.org/6828 (features/index: Loop exit without freeing in-use memory.) posted (#2) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 100 Anand Avati 2014-01-31 08:47:26 EST
REVIEW: http://review.gluster.org/6828 (features/index: Loop exit without freeing in-use memory.) posted (#3) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 101 Anand Avati 2014-01-31 12:01:39 EST
REVIEW: http://review.gluster.org/6826 (cluster/dht: Abandoned memory if a call fails) posted (#4) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 102 Anand Avati 2014-01-31 13:16:25 EST
REVIEW: http://review.gluster.org/6826 (cluster/dht: Abandoned memory if a call fails) posted (#5) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 103 Anand Avati 2014-01-31 13:16:34 EST
REVIEW: http://review.gluster.org/6883 (features/index: Close directories left open on error.) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 104 Anand Avati 2014-01-31 13:20:16 EST
REVIEW: http://review.gluster.org/6826 (cluster/dht: Abandoned memory if a call fails) posted (#6) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 105 Anand Avati 2014-01-31 16:18:35 EST
REVIEW: http://review.gluster.org/6884 (libglusterfs: Allow all valid file handle values to be closed.) posted (#1) for review on master by Christopher R. Hertel (crh@redhat.com)
Comment 106 Anand Avati 2014-02-03 02:09:54 EST
REVIEW: http://review.gluster.org/6852 (gNFS: Coverity fix) posted (#4) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 107 Anand Avati 2014-02-03 02:24:06 EST
COMMIT: http://review.gluster.org/6740 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f676d5a3e037a205c93751b862b856b7639058c4
Author: Lalatendu Mohanty <lmohanty@redhat.com>
Date:   Mon Jan 20 19:24:31 2014 +0530

    geo-rep: Fixing a memory leak issue reported by Coverity
    
    Issue: "errmsg" is allocated memory through  GF_CALLOC in function "gf_strdup"
    
    Fix: using GF_FREE to free the memory
    
    Change-Id: Iee8f8d806ea995591feee8e4ed0a0798ad07a8c4
    BUG: 789278
    Signed-off-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-on: http://review.gluster.org/6740
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
Comment 108 Anand Avati 2014-02-03 03:32:05 EST
REVIEW: http://review.gluster.org/6852 (gNFS: Coverity fix for possible memory leak) posted (#5) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 109 Anand Avati 2014-02-03 04:51:02 EST
REVIEW: http://review.gluster.org/6890 (gNFS: Possible NULL pointer dereference) posted (#1) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 110 Anand Avati 2014-02-03 07:51:17 EST
REVIEW: http://review.gluster.org/6893 (features/quota: Fix the "Data race condition" reported by coverity.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 111 Anand Avati 2014-02-03 20:22:54 EST
COMMIT: http://review.gluster.org/6826 committed in master by Anand Avati (avati@redhat.com) 
------
commit d2b0a016e713aea8920abe23f6113517d78e260a
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Mon Jan 27 14:52:37 2014 -0600

    cluster/dht: Abandoned memory if a call fails
    
    If the call to dict_set_dynstr() fails, the memory indicated by
    xattr_buf will not have been stored in the dictionary, so it must be
    freed.
    
    Patch set 2: Added a missed call to GF_FREE().  Fixed a formatting
                 consistency issue.
    
    Patch set 3: Cleaned a minor style nit.
    
    BUG: 789278
    CID: 1124786
    
    Change-Id: Id1f85bd2cbfac0b8727a3f6901f0a50ba921817d
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6826
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 112 Anand Avati 2014-02-03 20:30:04 EST
COMMIT: http://review.gluster.org/6741 committed in master by Anand Avati (avati@redhat.com) 
------
commit 33e9e8fcb98cd8ddd483b37ff7114ea9fd8d75fb
Author: Lalatendu Mohanty <lmohanty@redhat.com>
Date:   Tue Jan 21 02:27:03 2014 +0530

    quota: Fixing a possibility of GF_FREE on an array pointer
    
    Issue: when the charecter pointer is not heap allocated by the program
    we should not do GF_FREE on it.
    
    Change-Id: Ibccc25491a9ab924fd5b82c14566f551a061ec2e
    BUG: 789278
    Signed-off-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-on: http://review.gluster.org/6741
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 113 Anand Avati 2014-02-04 03:19:36 EST
REVIEW: http://review.gluster.org/6829 (cli: Fixing a resource leak) posted (#3) for review on master by Lalatendu Mohanty (lmohanty@redhat.com)
Comment 114 Anand Avati 2014-02-04 03:38:26 EST
REVIEW: http://review.gluster.org/6890 (gNFS: Possible NULL pointer dereference) posted (#2) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 115 Anand Avati 2014-02-04 05:32:19 EST
REVIEW: http://review.gluster.org/6900 (changelog: When connection is unsuccessful, close socket too.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 116 Anand Avati 2014-02-04 07:53:00 EST
REVIEW: http://review.gluster.org/6901 (glusterd: Fix the NULL dereference errors reported by coverity.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 117 Anand Avati 2014-02-04 07:59:49 EST
REVIEW: http://review.gluster.org/6902 (glusterd: Fix a memory leak.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 118 Anand Avati 2014-02-04 08:32:40 EST
REVIEW: http://review.gluster.org/6890 (gNFS: Possible NULL pointer dereference) posted (#3) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 119 Anand Avati 2014-02-04 12:52:51 EST
COMMIT: http://review.gluster.org/6828 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 21a83b8be06aa73f40b83b9cfc97dc8a1972190a
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Mon Jan 27 17:49:29 2014 -0600

    features/index: Loop exit without freeing in-use memory.
    
    If the while loop is exited via the goto, the call to closedir(3) is
    skipped, leaving an open directory stream.  This patch ensure that the
    directory is closed if the loop is exited via the goto.
    
    BUG: 789278
    CID: 1124763
    
    Change-Id: Iec5da4b8d32c0a93c10d035ff38d0c063fd97cda
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6828
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 120 Anand Avati 2014-02-04 13:00:31 EST
COMMIT: http://review.gluster.org/6799 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 7282094c5f387d7be1a353c7ed19c8e4a1e49eec
Author: surabhi <sbhaloth@redhat.com>
Date:   Mon Jan 27 14:09:10 2014 +0530

    libglusterfs:Fixing Dereference NULL return value.
    
    1.Checking of data for NULL.
    
    Change-Id: If49513f7c3fd1dc443c05dc62ed07d3254059e6e
    BUG: 789278
    Signed-off-by: surabhi <sbhaloth@redhat.com>
    Reviewed-on: http://review.gluster.org/6799
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 121 Anand Avati 2014-02-05 04:47:52 EST
REVIEW: http://review.gluster.org/6905 (glusterd/geo-rep: Fix the resource leaks.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 122 Anand Avati 2014-02-05 04:50:52 EST
REVIEW: http://review.gluster.org/6905 (glusterd/geo-rep: Fix the resource leaks.) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)
Comment 123 Anand Avati 2014-02-05 04:53:16 EST
REVIEW: http://review.gluster.org/6906 (cluster/afr: Fix memory leak.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 124 Anand Avati 2014-02-05 04:54:40 EST
REVIEW: http://review.gluster.org/6907 (features/quota: Fix NULL dereference error reported by coverity.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 125 Anand Avati 2014-02-05 07:46:21 EST
REVIEW: http://review.gluster.org/6905 (glusterd/geo-rep: Fix the resource leaks.) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)
Comment 126 Anand Avati 2014-02-05 09:54:50 EST
REVIEW: http://review.gluster.org/6908 (libgfapi: Move two NULL checks up to a sensible common point.) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 127 Anand Avati 2014-02-05 10:12:53 EST
REVIEW: http://review.gluster.org/6909 (libgfapi: Remove uneccessary NULL check.) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 128 Anand Avati 2014-02-05 11:06:53 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 129 Anand Avati 2014-02-05 14:25:18 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#2) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 130 Anand Avati 2014-02-06 00:46:21 EST
COMMIT: http://review.gluster.org/6881 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 60c1fa2ada704343c841b9a95d3f1cc1632fa00a
Author: Poornima <pgurusid@redhat.com>
Date:   Fri Jan 31 01:12:32 2014 +0000

    mgmt/glusterd: Fix double free.
    
    Change-Id: I7a8b7772849715b019c86c6c768f33c1d9dcb27c
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6881
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 131 Anand Avati 2014-02-06 01:02:27 EST
REVIEW: http://review.gluster.org/6905 (glusterd/geo-rep: Fix the resource leaks.) posted (#4) for review on master by Poornima G (pgurusid@redhat.com)
Comment 132 Anand Avati 2014-02-06 01:09:23 EST
COMMIT: http://review.gluster.org/6868 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit e021078220c30e781ef016b42f8cee8229042bb1
Author: Poornima <pgurusid@redhat.com>
Date:   Thu Jan 30 02:23:13 2014 +0000

    Fix for 'use after free' errors reported by coverity.
    
    Change-Id: I941fc89b2d696c7f227330321ed4bba3ed1deac4
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6868
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 133 Anand Avati 2014-02-06 01:17:22 EST
REVIEW: http://review.gluster.org/6906 (cluster/afr: Fix memory leak.) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)
Comment 134 Anand Avati 2014-02-06 01:26:17 EST
COMMIT: http://review.gluster.org/6884 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit e3162ed7e91510185316eae36f5c2c25bde53a68
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Fri Jan 31 15:11:37 2014 -0600

    libglusterfs: Allow all valid file handle values to be closed.
    
    Zero (0) is a valid file handle. The code, as written, interprets return
    values of open(2) that are less than or equal to zero to indicate an
    error.  Only -1 indicates an error.
    
    BUG: 789278
    CID: 1124756
    
    Change-Id: Ie77c25f1f557d5d5adcec464b49dc7df2e3dc7e5
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6884
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 135 Anand Avati 2014-02-06 02:05:44 EST
COMMIT: http://review.gluster.org/6870 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3bc23e1ad08e212538d325ec0196ec7488ae7e62
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Thu Jan 30 19:50:06 2014 +0530

    changelog: Restrict length of unix socket files to UNIX_PATH_MAX.
    
    Bug fix for Coverity-CID 1124847.
    
    Change-Id: I410ef8e06cbc491b1f72535298fae5e9bc77220d
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6870
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 136 Anand Avati 2014-02-06 13:51:26 EST
REVIEW: http://review.gluster.org/6929 (cluster/afr: goto statements may cause exit before memory is freed.) posted (#1) for review on master by Christopher R. Hertel (chertel@redhat.com)
Comment 137 Anand Avati 2014-02-06 15:22:53 EST
REVIEW: http://review.gluster.org/6931 (libgfapi: Don't ignore return value of glfs_loc_touchup()) posted (#1) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 138 Anand Avati 2014-02-06 17:32:51 EST
REVIEW: http://review.gluster.org/6929 (cluster/afr: goto statements may cause exit before memory is freed.) posted (#2) for review on master by Christopher R. Hertel (chertel@redhat.com)
Comment 139 Anand Avati 2014-02-06 20:36:01 EST
REVIEW: http://review.gluster.org/6933 (libglusterfs..xlator.c:  Close a library handle.) posted (#1) for review on master by Christopher R. Hertel (chertel@redhat.com)
Comment 140 Anand Avati 2014-02-07 06:01:53 EST
COMMIT: http://review.gluster.org/6900 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 432f7e45b2ddf511660d269548f248217a2b45ad
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 4 15:57:05 2014 +0530

    changelog: When connection is unsuccessful, close socket too.
    
    Bug fix for Coverity CID: 1124791
    
    Change-Id: I0362d45123ebc250290f3a5231f7fb113fa41212
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6900
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Santosh Pradhan <spradhan@redhat.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 141 Anand Avati 2014-02-07 06:20:17 EST
REVIEW: http://review.gluster.org/6937 (glusterfsd: Remove dead code.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 142 Anand Avati 2014-02-07 08:28:17 EST
REVIEW: http://review.gluster.org/6908 (libgfapi: Move two NULL checks up to a sensible common point.) posted (#2) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 143 Anand Avati 2014-02-07 08:28:52 EST
REVIEW: http://review.gluster.org/6909 (libgfapi: Remove uneccessary NULL check.) posted (#2) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 144 Anand Avati 2014-02-07 09:13:25 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#3) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 145 Anand Avati 2014-02-07 09:19:25 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#4) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 146 Anand Avati 2014-02-07 11:44:17 EST
COMMIT: http://review.gluster.org/6890 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 9f699ccd42712e5b991bd33319caf1e5c902f894
Author: Santosh Kumar Pradhan <spradhan@redhat.com>
Date:   Mon Feb 3 15:12:22 2014 +0530

    gNFS: Possible NULL pointer dereference
    
    In NFS-ACL code (acl3.c) i.e. acl3svc_setacl(), contol can
    go to "acl3err" block from setaclargs.mask validation or
    acl3_validate_gluster_fh() and acl3_map_fh_to_volume() macros.
    But at this point of time "cs" is yet to be init'd (the macro
    acl3_handle_call_state_init() is not yet invoked) which can
    cause a NULL ptr deref.
    
    FIX:
    Refactor the acl3 code.
    
    Coverity ID (CID): 1124491
    
    Change-Id: I3aca38770e03ce59d1705653b6d8349e6cc153b2
    BUG: 789278
    Signed-off-by: Santosh Kumar Pradhan <spradhan@redhat.com>
    Reviewed-on: http://review.gluster.org/6890
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 147 Anand Avati 2014-02-07 11:47:25 EST
COMMIT: http://review.gluster.org/6901 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 9433cc43efd8d63b66ce5c0927a7bde01a6b7304
Author: Poornima <pgurusid@redhat.com>
Date:   Tue Feb 4 05:55:02 2014 +0000

    glusterd: Fix the NULL dereference errors reported by coverity.
    
    Change-Id: I51c120dfe2db44a2b74f35e5cafb4f364ed6e66e
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6901
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 148 Anand Avati 2014-02-07 15:32:01 EST
REVIEW: http://review.gluster.org/6787 (cluster/dht: goto statements may cause loop exit before memory is freed.) posted (#3) for review on master by Christopher R. Hertel (chertel@redhat.com)
Comment 149 Anand Avati 2014-02-07 17:50:20 EST
REVIEW: http://review.gluster.org/6940 (xlators/rot-13: Free memory when returning on error.) posted (#1) for review on master by Christopher R. Hertel (chertel@redhat.com)
Comment 150 Anand Avati 2014-02-07 21:52:51 EST
COMMIT: http://review.gluster.org/6823 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 38e23d727a8fb5a4d688d9f8dc9178e6718215f5
Author: Poornima <pgurusid@redhat.com>
Date:   Thu Jan 23 02:08:19 2014 +0000

    quick-read: Remove unref of a freed iobuf.
    
    Change-Id: Ie21414658db571c9a483730b6d5e8997f04255c1
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6823
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 151 Anand Avati 2014-02-07 21:57:04 EST
COMMIT: http://review.gluster.org/6883 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 13b68bc693e92378f78f452763a6097bf1755072
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Fri Jan 31 12:13:30 2014 -0600

    features/index: Close directories left open on error.
    
    Two directory streams are opened, but not always closed if the function
    exits with an error.  This patch aims to ensure that the directories are
    closed in call cases.
    
    Some return values may be explicitly discarded.  This is done to avoid
    having a successful call to closedir() overwrite the value of ret.
    Also, the errno value is preserved in case a calling function needs to
    check errno.
    
    BUG: 789278
    CID: 1124710
    CID: 1124711
    
    Change-Id: I6bf3b5c9c6a1ec9a99cc9178243ea98572c2bac2
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6883
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 152 Anand Avati 2014-02-08 05:07:12 EST
REVIEW: http://review.gluster.org/6852 (gNFS: Coverity fix for possible memory leak) posted (#6) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 153 Anand Avati 2014-02-08 05:29:25 EST
COMMIT: http://review.gluster.org/6902 committed in master by Anand Avati (avati@redhat.com) 
------
commit 032854831a3dd338d7d5aee9228937d0418b8876
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 4 18:26:57 2014 +0530

    glusterd: Fix a memory leak.
    
    errmsg may have malloc'ed memory, free it before leaving function.
    
    Change-Id: I4ab3b9db7a48a5e256eb8a08b8ab49818ce6ca1b
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6902
    Reviewed-by: Poornima G <pgurusid@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 154 Anand Avati 2014-02-08 11:21:37 EST
COMMIT: http://review.gluster.org/6906 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f32e00692e2dd2b375c95d26f69529d48d1d2a80
Author: Poornima <pgurusid@redhat.com>
Date:   Wed Feb 5 00:15:33 2014 +0000

    cluster/afr: Fix memory leak.
    
    Change-Id: I811d104684905a5a9a794cde8e925bd1a97f6546
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6906
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 155 Anand Avati 2014-02-08 14:22:03 EST
COMMIT: http://review.gluster.org/6931 committed in master by Anand Avati (avati@redhat.com) 
------
commit ff28179310c761a77210f1294cd2db70555fdad8
Author: Jose A. Rivera <jarrpa@redhat.com>
Date:   Thu Feb 6 14:19:43 2014 -0600

    libgfapi: Don't ignore return value of glfs_loc_touchup()
    
    BUG: 789278
    CID: 1124353
    
    Change-Id: I7d2958cbc98faf45d723f17868c515762c50c618
    Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
    Reviewed-on: http://review.gluster.org/6931
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 156 Anand Avati 2014-02-08 14:22:47 EST
COMMIT: http://review.gluster.org/6933 committed in master by Anand Avati (avati@redhat.com) 
------
commit 104e8df41073036eb47583503035bad298bdbe87
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Thu Feb 6 19:32:35 2014 -0600

    libglusterfs..xlator.c:  Close a library handle.
    
    Simple fix to ensure that a library handle is closed if it is not
    actually used.
    
    BUG: 789278
    CID: 1124783
    
    Change-Id: Ia3e734c46e1ad8c97cb8cc7f1a5616606bfbc550
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6933
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 157 Anand Avati 2014-02-08 14:30:11 EST
COMMIT: http://review.gluster.org/6827 committed in master by Anand Avati (avati@redhat.com) 
------
commit 8b5b2bfcda0dc95aa170b8752ad97d94701172f2
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Mon Jan 27 16:38:14 2014 -0600

    performance/quick-read: Allocated memory not freed when not used.
    
    If memory is successfully allocated in the call to qr_content_extract(),
    but is not used, it is not being freed.  This patch frees the allocated
    memory if it is not passed to qr_content_refresh().
    
    BUG: 789278
    CID: 1124735
    
    Change-Id: I1c1f03a3b92fa26321ec6ee8822e6fa41da79875
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6827
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 158 Anand Avati 2014-02-10 06:42:56 EST
REVIEW: http://review.gluster.org/6949 (io-cache: Unlock and then goto out in failure case.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 159 Anand Avati 2014-02-10 07:33:34 EST
REVIEW: http://review.gluster.org/6950 (protocol: Fix the possible memory leak.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 160 Anand Avati 2014-02-10 07:50:22 EST
REVIEW: http://review.gluster.org/6951 (cluster/stripe: Fix the resource leaks.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 161 Anand Avati 2014-02-10 07:51:37 EST
REVIEW: http://review.gluster.org/6950 (protocol: Fix a possible memory leak.) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)
Comment 162 Anand Avati 2014-02-10 08:27:40 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#5) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 163 Anand Avati 2014-02-10 09:52:58 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#6) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 164 Anand Avati 2014-02-10 10:25:57 EST
REVIEW: http://review.gluster.org/6954 (glusterd: Fix possible leaks on failure code path) posted (#1) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 165 Anand Avati 2014-02-10 10:58:15 EST
REVIEW: http://review.gluster.org/6954 (glusterd: Fix possible leaks on failure code path) posted (#2) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 166 Anand Avati 2014-02-10 11:39:30 EST
COMMIT: http://review.gluster.org/6929 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c1c3ab9e4c96e059ba1abc1a0b5ba221ef6e3d8d
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Thu Feb 6 12:39:24 2014 -0600

    cluster/afr: goto statements may cause exit before memory is freed.
    
    Memory is allocated for pump_priv and for pump_priv->resume_path, but if
    an error is detected the references to that memory go out of scope and
    the memory is never freed.
    
    This patch assures that the memory is freed on error.
    
    Patchset 2: These are Kaleb's recommended changes which, compared to my
                original fix, are more comprehensive and provide a more
                complete resolution to the memory leakage bugs in this
                function.  The bug reported by Coverity was limited to a
                single memory allocation.
    
    BUG: 789278
    CID: 1124737
    
    Change-Id: Ie239e3b5d28d97308bf948efec6a92f107bc648b
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6929
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 167 Anand Avati 2014-02-10 13:47:55 EST
REVIEW: http://review.gluster.org/6909 (glusterfsd: Check for NULL before dereference.) posted (#3) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 168 Anand Avati 2014-02-10 13:49:27 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#7) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 169 Anand Avati 2014-02-10 15:30:11 EST
REVIEW: http://review.gluster.org/6908 (libgfapi: Add proper NULL checks) posted (#3) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 170 Anand Avati 2014-02-10 15:30:43 EST
REVIEW: http://review.gluster.org/6909 (glusterfsd: Check for NULL before dereference.) posted (#4) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 171 Anand Avati 2014-02-10 15:31:05 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#8) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 172 Anand Avati 2014-02-10 19:36:22 EST
COMMIT: http://review.gluster.org/6907 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6b8ed063bb8a551856d0e659fa9fe4f5afa48c19
Author: Poornima <pgurusid@redhat.com>
Date:   Tue Feb 4 23:11:59 2014 +0000

    features/quota: Fix NULL dereference error reported by coverity.
    
    Change-Id: I48c1ebcb3261fa5da721e5b48d17c6c873df256d
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6907
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 173 Anand Avati 2014-02-10 20:05:34 EST
COMMIT: http://review.gluster.org/6869 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit fcfd2b973cdb9d798861bca1d30a4a42b819b73f
Author: Poornima <pgurusid@redhat.com>
Date:   Thu Jan 30 05:36:42 2014 +0000

    performance/io-cache: Fix for the bugs reported by coverity
    
    Change-Id: I24c10d874511a2f24dda2fb84d31f5074da1616f
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6869
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 174 Anand Avati 2014-02-10 23:28:47 EST
REVIEW: http://review.gluster.org/6954 (glusterd: Fix possible leaks on failure code path) posted (#3) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 175 Anand Avati 2014-02-11 07:07:14 EST
REVIEW: http://review.gluster.org/6780 (glusterd: Free dup_value when error path is taken.) posted (#3) for review on master by Ira Cooper (ira@redhat.com)
Comment 176 Anand Avati 2014-02-11 07:32:27 EST
REVIEW: http://review.gluster.org/6780 (glusterd: Free dup_value when error path is taken.) posted (#4) for review on master by Ira Cooper (ira@redhat.com)
Comment 177 Anand Avati 2014-02-12 00:07:11 EST
COMMIT: http://review.gluster.org/6852 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 99c84c250501a676f73c0dd7e9b842f8c95b1f98
Author: Santosh Kumar Pradhan <spradhan@redhat.com>
Date:   Wed Jan 29 17:09:55 2014 +0530

    gNFS: Coverity fix for possible memory leak
    
    In nfs_gfid_dict(), if dict_new() fails, the control goes to
    out: block and dyngfid resource (dynamically allocated by
    GF_CALLOC()) is leaked.
    
    Add a validation for memory returned by GF_CALLOC()
    
    Drop unnecessary "goto" statements
    
    Coverity CID: 1124764
    
    Change-Id: Idda7923cc1c32260b3353f7a9141aa1cf43e4fe1
    BUG: 789278
    Signed-off-by: Santosh Kumar Pradhan <spradhan@redhat.com>
    Reviewed-on: http://review.gluster.org/6852
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 178 Anand Avati 2014-02-12 03:25:23 EST
REVIEW: http://review.gluster.org/6905 (glusterd/geo-rep: Fix the resource leaks.) posted (#5) for review on master by Poornima G (pgurusid@redhat.com)
Comment 179 Anand Avati 2014-02-12 04:30:30 EST
REVIEW: http://review.gluster.org/6984 (glusterfsd: Use gf_strdup instead of assigning a literal.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 180 Anand Avati 2014-02-12 04:44:23 EST
REVIEW: http://review.gluster.org/6937 (glusterfsd: Remove dead code.) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 181 Anand Avati 2014-02-12 04:44:46 EST
REVIEW: http://review.gluster.org/6937 (glusterfsd: Remove dead code.) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 182 Anand Avati 2014-02-12 06:13:08 EST
REVIEW: http://review.gluster.org/6985 (protocol/client: Fix the possible resource leaks.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 183 Anand Avati 2014-02-12 06:16:56 EST
REVIEW: http://review.gluster.org/6986 (cluster/stripe: Fix the possible resource leaks.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 184 Anand Avati 2014-02-12 07:55:38 EST
REVIEW: http://review.gluster.org/6990 (mount/fuse: Fix the NULL dereference errors reported by coverity.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 185 Anand Avati 2014-02-12 19:36:28 EST
COMMIT: http://review.gluster.org/6951 committed in master by Anand Avati (avati@redhat.com) 
------
commit db3b2149eeb44bcb716d994224d57eccf873d2a9
Author: Poornima <pgurusid@redhat.com>
Date:   Sun Feb 9 22:57:56 2014 +0000

    cluster/stripe: Fix the resource leaks.
    
    Change-Id: Ieb1fe112686f4932a6272a0117c1373e736d5b4e
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6951
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 186 Anand Avati 2014-02-12 20:35:59 EST
COMMIT: http://review.gluster.org/6822 committed in master by Anand Avati (avati@redhat.com) 
------
commit a9181877e3013dcaca5b59ef7764246163c10585
Author: Poornima <pgurusid@redhat.com>
Date:   Sun Jan 26 22:08:46 2014 +0000

    performance/io-cache: Fix dereferencing of freed pointer
    
    Change-Id: Ic4276c6d76c36f4eb77282dc06d2b8b212b58f08
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6822
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 187 Anand Avati 2014-02-12 20:40:44 EST
COMMIT: http://review.gluster.org/6954 committed in master by Anand Avati (avati@redhat.com) 
------
commit 1b88d86a660a5f4e007fb229d79c54666ce04ffb
Author: Santosh Kumar Pradhan <spradhan@redhat.com>
Date:   Mon Feb 10 20:52:57 2014 +0530

    glusterd: Fix possible leaks on failure code path
    
    Fix the memory leaks in socket and glusterd in failure code
    paths reported by Coverity.
    
    CIDs: 1124777, 1124781, 124782
    
    Change-Id: I63472c6b5900f308f19e64fc93bf7ed2f7b06ade
    BUG: 789278
    Signed-off-by: Santosh Kumar Pradhan <spradhan@redhat.com>
    Reviewed-on: http://review.gluster.org/6954
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 188 Anand Avati 2014-02-12 22:19:26 EST
COMMIT: http://review.gluster.org/6940 committed in master by Anand Avati (avati@redhat.com) 
------
commit fbcae0d20a409bccd8fc4daeceac010fab66d0a0
Author: Christopher R. Hertel <crh@redhat.com>
Date:   Fri Feb 7 16:46:23 2014 -0600

    xlators/rot-13: Free memory when returning on error.
    
    Added GF_FREE() calls to free allocated memory that was left
    behind otherwise.
    
    BUG: 789278
    CID: 1124725
    
    Change-Id: I5aa086d6b13a93e14de50e47e02b0e9813af9572
    Signed-off-by: Christopher R. Hertel <crh@redhat.com>
    Reviewed-on: http://review.gluster.org/6940
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 189 Anand Avati 2014-02-13 00:49:54 EST
COMMIT: http://review.gluster.org/6986 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 43f71899c4533ef6e160c7a8fb8c62bf0e6c3bba
Author: Poornima <pgurusid@redhat.com>
Date:   Wed Feb 12 02:44:09 2014 +0000

    cluster/stripe: Fix the possible resource leaks.
    
    Change-Id: Ic6fbc8c843f80edd7458d15229eb72a5609973a5
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6986
    Reviewed-by: Amar Tumballi <amarts@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 190 Anand Avati 2014-02-13 02:05:46 EST
REVIEW: http://review.gluster.org/6993 (protocol/auth: Fix a possible double free.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 191 Anand Avati 2014-02-14 02:19:48 EST
REVIEW: http://review.gluster.org/7000 (libglusterfs: Stat and alloc mem before reading file into memory.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 192 Anand Avati 2014-02-14 03:51:26 EST
REVIEW: http://review.gluster.org/7000 (libglusterfs: Stat and alloc mem before reading file into memory.) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 193 Anand Avati 2014-02-14 04:31:22 EST
REVIEW: http://review.gluster.org/7000 (libglusterfs: Stat and alloc mem before reading file into memory.) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 194 Anand Avati 2014-02-14 06:30:50 EST
REVIEW: http://review.gluster.org/7002 (glusterd: Memory leaks in negative code path) posted (#1) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 195 Anand Avati 2014-02-14 10:06:39 EST
COMMIT: http://review.gluster.org/6909 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit db95a98527caf1b5a52ef49e537d0ee575a9bc61
Author: Jose A. Rivera <jarrpa@redhat.com>
Date:   Wed Feb 5 09:11:55 2014 -0600

    glusterfsd: Check for NULL before dereference.
    
    BUG: 789278
    CID: 1124805
    
    Change-Id: I5926a4e59790f142d65f034726c9c369c2ad7808
    Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
    Reviewed-on: http://review.gluster.org/6909
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 196 Anand Avati 2014-02-14 10:11:15 EST
COMMIT: http://review.gluster.org/6908 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 5f0a857c70863eb685ac03d4183502d3bd460b7c
Author: Jose A. Rivera <jarrpa@redhat.com>
Date:   Wed Feb 5 08:50:30 2014 -0600

    libgfapi: Add proper NULL checks
    
    Two spots check for NULL after the pointer in question has already been
    dereferenced. Checked for NULL (and set errno when needed) at appripriate
    spots, added a few NULL checks further up the stack, and some whitespace
    cleanup.
    
    BUG: 789278
    CID: 1124800
    CID: 1124805
    
    Change-Id: I1dd4ad3f285cca36f4e3f739288f154ec120aebb
    Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
    Reviewed-on: http://review.gluster.org/6908
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 197 Anand Avati 2014-02-14 10:21:01 EST
REVIEW: http://review.gluster.org/7002 (glusterd: Memory leaks in negative code path) posted (#2) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 198 Anand Avati 2014-02-14 14:17:51 EST
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#9) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 199 Anand Avati 2014-02-15 00:05:24 EST
COMMIT: http://review.gluster.org/6780 committed in master by Anand Avati (avati@redhat.com) 
------
commit 5fb60ca150efbf9072dd7b2de13362c8cc4daa1b
Author: Ira Cooper <ira@samba.org>
Date:   Tue Feb 11 07:05:29 2014 -0500

    glusterd: Free dup_value when error path is taken.
    
    When the error path is taken here, the data that was allocated for
    dup_value is never freed.  This patch frees it.
    
    Thanks to Kaleb Keithley <kkeithle@redhat.com> for his suggestions on how
    to fix this.
    
    Change-Id: Iad88b9ab035602d15961b46c4954d54d54e0d65e
    CID: 1124705
    BUG: 789278
    Signed-off-by: Ira Cooper <ira@samba.org>
    Reviewed-on: http://review.gluster.org/6780
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 200 Anand Avati 2014-02-15 01:11:49 EST
REVIEW: http://review.gluster.org/7002 (glusterd: Memory leaks in negative code path) posted (#3) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 201 Anand Avati 2014-02-15 04:18:46 EST
COMMIT: http://review.gluster.org/6985 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 1ad41c4ca167e4600f163408c1f859d55cdbdc07
Author: Poornima <pgurusid@redhat.com>
Date:   Wed Feb 12 03:18:43 2014 +0000

    protocol/client: Fix the possible resource leaks.
    
    Change-Id: Ib86dee366f5a6f0971c6472d1fb2c32dbf7f0102
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6985
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 202 Anand Avati 2014-02-16 15:22:26 EST
COMMIT: http://review.gluster.org/6984 committed in master by Anand Avati (avati@redhat.com) 
------
commit 82f995e6a9ba9ac4ca02d9db2f42bc9037936151
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Wed Feb 12 14:37:23 2014 +0530

    glusterfsd: Use gf_strdup instead of assigning a literal.
    
    Fix for coverity bug CID:1124340
    
    Change-Id: Ibf8700bdeaaddade02e63470a773c5fe2aabc645
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6984
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 203 Anand Avati 2014-02-17 11:10:19 EST
COMMIT: http://review.gluster.org/6949 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4b36051ce195d9ae7ec32bd614d32a023873ab29
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Mon Feb 10 17:11:03 2014 +0530

    io-cache: Unlock and then goto out in failure case.
    
    Fix for coverity bug CID:1124625
    
    Change-Id: I76df453a17f2af7c48a80b6fc0ccd411ab96e371
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6949
    Reviewed-by: Santosh Pradhan <spradhan@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 204 Anand Avati 2014-02-17 23:51:12 EST
COMMIT: http://review.gluster.org/6990 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit da7972c10cd0495621ea95c186db86cfa8d997b6
Author: Poornima <pgurusid@redhat.com>
Date:   Tue Feb 4 22:52:14 2014 +0000

    mount/fuse: Fix the NULL dereference errors reported by coverity.
    
    Change-Id: I9df57e11b115d7323931735c86b586c0b65fa414
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6990
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 205 Anand Avati 2014-02-18 01:54:35 EST
REVIEW: http://review.gluster.org/7025 (glusterd: Check for ctx before dereferencing it.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 206 Anand Avati 2014-02-18 02:08:22 EST
REVIEW: http://review.gluster.org/7025 (glusterd: Check for ctx before dereferencing it.) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 207 Anand Avati 2014-02-19 06:13:02 EST
REVIEW: http://review.gluster.org/6993 (protocol/auth: Fix a possible double free.) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 208 Anand Avati 2014-02-19 22:25:42 EST
COMMIT: http://review.gluster.org/6993 committed in master by Anand Avati (avati@redhat.com) 
------
commit 9e0ec224148e1d3e0406eb5aa4479f3dca0d597b
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Thu Feb 13 12:31:58 2014 +0530

    protocol/auth: Fix a possible double free.
    
    Assign NULL to addr_cpy to avoid double free.
    
    Fix for coverity CID: 1124891
    
    Change-Id: I0cd6721f066170190d8b5441ecdbc1704ed5e75b
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6993
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 209 Anand Avati 2014-02-20 07:58:03 EST
REVIEW: http://review.gluster.org/6937 (glusterfsd: Remove dead code.) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 210 Anand Avati 2014-02-21 01:23:42 EST
COMMIT: http://review.gluster.org/7025 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3a5914e421d10bca363f020b748e8648a4819495
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Tue Feb 18 12:22:59 2014 +0530

    glusterd: Check for ctx before dereferencing it.
    
    Fix for coverity CID: 1175010 & 1175011
    
    Change-Id: Ib894fadf94c36704166ac0e2a3b6febf9b3fe446
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/7025
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 211 Anand Avati 2014-02-28 05:32:21 EST
REVIEW: http://review.gluster.org/7167 (libglusterfs/inode: Fix NULL dereferences.) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 212 Anand Avati 2014-03-01 22:04:12 EST
COMMIT: http://review.gluster.org/7167 committed in master by Anand Avati (avati@redhat.com) 
------
commit 9f45d0f6212d6d5c96dafc4aba73d9d12b39c3d6
Author: Poornima G <pgurusid@redhat.com>
Date:   Fri Feb 28 12:13:55 2014 +0530

    libglusterfs/inode: Fix NULL dereferences.
    
    There could be scenarios where the inode_ctx_get() can
    be called to only check if the context exists, in such
    cases the buffer for the context might not have been passed.
    Hence fix inode_ctx_get() to not crash, when the buffer
    is not passed.
    
    Change-Id: I607d86eb401ccab0e5cd75f6f977c454994ec063
    BUG: 789278
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/7167
    Reviewed-by: Santosh Pradhan <spradhan@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 213 Anand Avati 2014-03-22 13:04:25 EDT
COMMIT: http://review.gluster.org/6937 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2a77659e9c25cc51fed193147ba3bfea56c5f8f9
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Fri Feb 7 16:45:58 2014 +0530

    glusterfsd: Remove dead code.
    
    Previous cleanup of this function had removed some lines
    which had left dead code. Just removing that.
    
    Fix for coverity CID: 1167461 .
    
    Change-Id: I2a34fc407ce0eb4c4ba759c8ce6574a00b37020a
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/6937
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 214 Anand Avati 2014-04-03 05:45:10 EDT
REVIEW: http://review.gluster.org/7389 (cli : Removal of dead code) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 215 Anand Avati 2014-04-04 09:36:14 EDT
COMMIT: http://review.gluster.org/7389 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d5072db4c56c2351437aa4c2d340bf2766e318ce
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Thu Apr 3 15:10:58 2014 +0530

    cli : Removal of dead code
    
    dead code reported by covscan is removed from cli-cmd-parser.c
    
    Fix for coverity CID: 1195423
    
    Change-Id: Ice1771dc8b3ef47fd2e63b380b12e850dc1d5d95
    BUG: 789278
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/7389
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
Comment 216 Anand Avati 2014-04-21 17:15:43 EDT
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#10) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 217 Anand Avati 2014-05-01 11:09:32 EDT
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation.) posted (#11) for review on master by Jose A. Rivera (jarrpa@redhat.com)
Comment 218 Anand Avati 2014-05-07 07:54:14 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#1) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 219 Anand Avati 2014-05-07 07:58:28 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#2) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 220 Anand Avati 2014-05-07 08:01:17 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#3) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 221 Anand Avati 2014-05-07 08:06:46 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#4) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 222 Anand Avati 2014-05-07 08:16:14 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#5) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 223 Anand Avati 2014-05-12 09:25:13 EDT
REVIEW: http://review.gluster.org/7743 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#1) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 224 Anand Avati 2014-05-12 09:49:32 EDT
REVIEW: http://review.gluster.org/7743 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#2) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 225 Anand Avati 2014-05-19 05:53:25 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#6) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 226 Anand Avati 2014-05-19 06:48:32 EDT
REVIEW: http://review.gluster.org/7695 ([glusterd/cli/snapshot] Fixes for coverity issues) posted (#7) for review on master by Joseph Fernandes (josferna@redhat.com)
Comment 227 Anand Avati 2014-06-06 01:25:24 EDT
REVIEW: http://review.gluster.org/6950 (protocol: Fix a possible memory leak.) posted (#3) for review on master by Poornima G (pgurusid@redhat.com)
Comment 228 Anand Avati 2014-06-12 02:07:12 EDT
COMMIT: http://review.gluster.org/6950 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit cc6608dbaabac6e46d7f36d964c861cfbaac8f59
Author: Poornima <pgurusid@redhat.com>
Date:   Sun Feb 9 23:29:23 2014 +0000

    protocol: Fix a possible memory leak.
    
    Change-Id: Ia3e7e33389b4d3a5e058b6b2fb2f1c3cb224d6fd
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6950
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 229 Anand Avati 2014-06-12 07:25:21 EDT
COMMIT: http://review.gluster.org/6905 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 073264c63185c1b3af41c2b1ca6749fcd36a5e94
Author: Poornima <pgurusid@redhat.com>
Date:   Wed Feb 5 02:50:08 2014 +0000

    glusterd/geo-rep: Fix the resource leaks.
    
    Change-Id: Ic741250999880bdf9e1226cd3eefa791fb66a888
    BUG: 789278
    Signed-off-by: Poornima <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/6905
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 230 Anand Avati 2014-06-17 07:14:35 EDT
REVIEW: http://review.gluster.org/8088 (glusterd: Coverity fix for going out of scope leaks of directory pointer) posted (#1) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)
Comment 231 Anand Avati 2014-06-17 08:13:39 EDT
REVIEW: http://review.gluster.org/8091 (glusterd : Coverity fix in __server_getspec) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 232 Anand Avati 2014-06-17 08:28:36 EDT
REVIEW: http://review.gluster.org/8088 (glusterd: Coverity fix for going out of scope leaks of directory pointer) posted (#2) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)
Comment 233 Anand Avati 2014-06-18 00:23:45 EDT
REVIEW: http://review.gluster.org/8088 (glusterd: Coverity fix for going out of scope leaks of directory pointer) posted (#3) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)
Comment 234 Anand Avati 2014-06-19 06:13:20 EDT
REVIEW: http://review.gluster.org/8091 (glusterd : Coverity fix in __server_getspec) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 235 Anand Avati 2014-06-20 03:42:34 EDT
REVIEW: http://review.gluster.org/8091 (glusterd : Coverity fix in __server_getspec) posted (#3) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 236 Anand Avati 2014-06-30 03:15:39 EDT
COMMIT: http://review.gluster.org/8091 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit d78d53e853e43f78c59202f1c2e761d17dad93c5
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Tue Jun 17 17:37:46 2014 +0530

    glusterd : Coverity fix in __server_getspec
    
    spec_fd handle should be closed in all the possible cases
    CID : 1124768
    Change-Id: I28390dc76a646a19258520570acef562b8d6fb1e
    BUG: 789278
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/8091
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Gaurav Kumar Garg <ggarg@redhat.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
Comment 237 Anand Avati 2014-07-01 05:37:18 EDT
REVIEW: http://review.gluster.org/8211 (dict: Remove the redundant hash calculation when the hash size is 1) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)
Comment 238 Anand Avati 2014-07-01 06:07:01 EDT
REVIEW: http://review.gluster.org/8211 (dict: Remove the redundant hash calculation when the hash size is 1) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)
Comment 239 Anand Avati 2014-07-07 05:22:48 EDT
REVIEW: http://review.gluster.org/8252 (glusterd: Fix for resource leak coverity bug 1223045.) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 240 Anand Avati 2014-07-07 05:25:28 EDT
REVIEW: http://review.gluster.org/8252 (glusterd: Fix for resource leak coverity bug 1223045.) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 241 Anand Avati 2014-07-14 13:30:38 EDT
COMMIT: http://review.gluster.org/8252 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f924f8e28b2d4753e4c4bc89a83d4ab330205de2
Author: Raghavendra Talur <rtalur@redhat.com>
Date:   Mon Jul 7 14:36:18 2014 +0530

    glusterd: Fix for resource leak coverity bug 1223045.
    
    Change-Id: I96261e7f5cd7b5550d3100750c80190dd932a8ab
    BUG: 789278
    Signed-off-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-on: http://review.gluster.org/8252
    Reviewed-by: Avra Sengupta <asengupt@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
Comment 242 Anand Avati 2014-07-16 07:59:22 EDT
REVIEW: http://review.gluster.org/8317 (ec: Fixed coveriry scan issues) posted (#1) for review on master by Xavier Hernandez (xhernandez@datalab.es)
Comment 243 Anand Avati 2014-07-21 05:46:24 EDT
REVIEW: http://review.gluster.org/8317 (ec: Fixed coveriry scan issues) posted (#2) for review on master by Xavier Hernandez (xhernandez@datalab.es)
Comment 244 Anand Avati 2014-07-21 21:39:58 EDT
COMMIT: http://review.gluster.org/8317 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 464ff8f7592e7d6a9239ca1fab1928d4a608f253
Author: Xavier Hernandez <xhernandez@datalab.es>
Date:   Wed Jul 16 13:50:53 2014 +0200

    ec: Fixed coveriry scan issues
    
    CID list:
    
      1226163 Logically dead code
      1226166 Missing break in switch
      1226167 Missing break in switch
      1226168 Missing break in switch
      1226169 Missing break in switch
      1226170 Missing break in switch
      1226171 Missing break in switch
      1226172 Missing break in switch
      1226173 Missing break in switch
      1226174 Missing break in switch
      1226175 Missing break in switch
      1226176 Missing break in switch
      1226177 Missing break in switch
      1226178 Data race condition
      1226179 Data race condition
      1226180 Data race condition
      1226181 Thread deadlock
      1226182 Uninitialized pointer read
      1226183 Uninitialized pointer read
      1226184 Read from pointer after free
    
    Change-Id: I4d33aa42289371927175c43bb29e018df64fb943
    BUG: 789278
    Signed-off-by: Xavier Hernandez <xhernandez@datalab.es>
    Reviewed-on: http://review.gluster.org/8317
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 245 Anand Avati 2014-08-13 02:41:18 EDT
REVIEW: http://review.gluster.org/8088 (glusterd: Coverity fix for going out of scope leaks of directory pointer) posted (#4) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)
Comment 246 Anand Avati 2014-08-13 05:51:25 EDT
COMMIT: http://review.gluster.org/8088 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit c03e07b4147bb2fe902be77f0bbef9c9bae977ab
Author: ggarg <ggarg@redhat.com>
Date:   Tue Jun 17 16:25:03 2014 +0530

    glusterd: Coverity fix for going out of scope leaks of directory pointer
    
    In function volgen_apply_filters() directory stream associated with
    "filterdir" should be close after opening directory stream corresponding
    to directory name. closedir() also closes the underlying file descriptor
    associated with "filterdir".
    
    Coverity CID: 1124723
    
    Change-Id: I78ed04047ded98bf95d201afed01c727aa506882
    BUG: 789278
    Reviewed-on: http://review.gluster.org/8088
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
Comment 247 Niels de Vos 2014-11-11 03:23:09 EST
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.1, please reopen this bug report.

glusterfs-3.6.1 has been announced [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.html
[2] http://supercolony.gluster.org/mailman/listinfo/gluster-users
Comment 248 Anand Avati 2014-11-26 03:10:20 EST
COMMIT: http://review.gluster.org/8211 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 8f07191a4ab312c8b99e2eb08c7a1fc7e2c5eff2
Author: Poornima Gurusiddaiah <pgurusid@redhat.com>
Date:   Tue Jul 1 14:38:54 2014 +0530

    dict: Remove the redundant hash calculation when the hash size is 1
    
    Currently the dict is created with hash size 1, i.e. there is
    only one hash bucket and the calculation of hash decomes redundant.
    
    Change-Id: Id70aea0d798902494ebb6d82955d97d591bc73d2
    BUG: 789278
    Signed-off-by: Poornima Gurusiddaiah <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/8211
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 249 Anand Avati 2014-11-28 01:41:22 EST
REVIEW: http://review.gluster.org/9208 (glusterd: Coverity fix for string_overflow overrun) posted (#1) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)
Comment 250 Anand Avati 2014-11-28 07:39:28 EST
REVIEW: http://review.gluster.org/9213 (api, glusterfsd: Cleanup upon failure in glusterfs_ctx_defaults_init()) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 251 Anand Avati 2014-12-09 06:20:30 EST
REVIEW: http://review.gluster.org/9256 (api: revive dead code in glusterfs_ctx_defaults_init()) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 252 Anand Avati 2014-12-09 06:29:40 EST
REVIEW: http://review.gluster.org/9257 (nfs: prevent potential NULL dereference in mnt3_readlink_cbk()) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 253 Anand Avati 2014-12-09 09:44:27 EST
REVIEW: http://review.gluster.org/9257 (nfs: prevent potential NULL dereference in mnt3_readlink_cbk()) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 254 Anand Avati 2014-12-09 23:11:22 EST
COMMIT: http://review.gluster.org/9213 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit ecb58c9a3f716a87da7174c1aa721561b18ad27b
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Fri Nov 28 17:54:52 2014 +0530

    api, glusterfsd: Cleanup upon failure in glusterfs_ctx_defaults_init()
    
    This got introduced due to 656711d935000c16. Coverity
    also picked this up as CIDs 1256176, 1256178, 1256180.
    
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Change-Id: If12fa0075634383975846181917a2f9650f790e3
    BUG: 789278
    Reviewed-on: http://review.gluster.org/9213
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
Comment 255 Anand Avati 2014-12-10 05:01:07 EST
COMMIT: http://review.gluster.org/9257 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 1877c43a6530e92ef9dee52463ddc4216a703329
Author: Niels de Vos <ndevos@redhat.com>
Date:   Tue Dec 9 12:24:38 2014 +0100

    nfs: prevent potential NULL dereference in mnt3_readlink_cbk()
    
    In case 'mres' is NULL, we jump to 'mnterr' where 'mres->req' will be
    used. This will cause a segmentation fault, which we really do not want.
    
    Change-Id: I01d6f3aa0343def54dcd4a5610001ff7d62c8834
    CID: 1256179
    BUG: 789278
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9257
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
Comment 256 Anand Avati 2014-12-10 05:14:34 EST
REVIEW: http://review.gluster.org/9262 (client_t: fix for potential NULL pointer dereference) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 257 Niels de Vos 2014-12-10 06:04:17 EST
Re-opening because we still Coverity is still detecting defects.
Comment 258 Niels de Vos 2014-12-10 06:04:42 EST
Re-opening because Coverity is still detecting defects.
Comment 259 Lalatendu Mohanty 2014-12-10 06:26:23 EST
Latest run results are available at http://scan.coverity.com/projects/987
Comment 260 Anand Avati 2014-12-12 04:19:10 EST
COMMIT: http://review.gluster.org/9262 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 9ca800392106201c555ff8d5e2bf7a77aa52234d
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Dec 10 11:10:52 2014 +0100

    client_t: fix for potential NULL pointer dereference
    
    In case an error occurs, 'client' is free'd. The log message just before
    exiting the function should therefore not use the structure anymore.
    
    BUG: 789278
    Change-Id: I0848328b29585057cd037a5972c4e5f06a7f978b
    CID: 1226165
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9262
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 261 Anand Avati 2014-12-17 02:57:03 EST
REVIEW: http://review.gluster.org/9287 (protocol/client: Prevent "Dereference after NULL check" errors.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 262 Anand Avati 2015-01-16 04:03:45 EST
COMMIT: http://review.gluster.org/9287 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 9ab533ff86dbf914b47228a9326fefd9ba04c65f
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Wed Dec 17 13:19:00 2014 +0530

    protocol/client: Prevent "Dereference after NULL check" errors.
    
    Fixes 46 defects marked as "Dereference after NULL check" errors
    in coverity scan for client xlator.
    
    Change-Id: I0b4c991a3995ce74d7885fc5470ec7f5c589b411
    BUG: 789278
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/9287
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 263 Anand Avati 2015-02-02 08:44:53 EST
REVIEW: http://review.gluster.org/9539 (glusterd: Coverity fix for string overflow.) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 264 Anand Avati 2015-02-02 08:53:11 EST
REVIEW: http://review.gluster.org/9540 (Cluster/afr : Coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 265 Anand Avati 2015-02-02 23:13:11 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string from coverity check and cppcheck) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 266 Anand Avati 2015-02-02 23:23:02 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string from coverity check and cppcheck) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 267 Anand Avati 2015-02-02 23:23:29 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string from coverity check and cppcheck) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 268 Anand Avati 2015-02-03 00:19:43 EST
REVIEW: http://review.gluster.org/9539 (glusterd : Coverity fix for string overflow) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 269 Anand Avati 2015-02-03 00:58:29 EST
REVIEW: http://review.gluster.org/9540 (Cluster/afr : Coverity fix) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 270 Anand Avati 2015-02-03 01:24:54 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string from coverity check and cppcheck.) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 271 Anand Avati 2015-02-03 01:47:53 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects Coverity IDs: 1124853 1134021 1134022 1134023) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 272 Anand Avati 2015-02-03 01:48:37 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 273 Anand Avati 2015-02-03 02:46:33 EST
REVIEW: http://review.gluster.org/9555 (glusterd: Coverity fix for string overflow.) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 274 Anand Avati 2015-02-03 02:50:13 EST
REVIEW: http://review.gluster.org/9556 (Xlators/storage/bd : Unused value is removed.) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 275 Anand Avati 2015-02-03 03:08:08 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects Coverity IDs: 1124853 1134021 1134022 1134023) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 276 Anand Avati 2015-02-03 03:09:27 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string from coverity check and cppcheck) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 277 Anand Avati 2015-02-03 03:12:04 EST
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 278 Anand Avati 2015-02-03 03:17:03 EST
REVIEW: http://review.gluster.org/9558 (glusterd: Coverity fix for insecure temporary file.) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 279 Anand Avati 2015-02-03 04:34:12 EST
REVIEW: http://review.gluster.org/9555 (glusterd: Coverity fix for string overflow) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 280 Anand Avati 2015-02-03 05:29:17 EST
REVIEW: http://review.gluster.org/9563 (Xlators/dht : Divide by zero coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 281 Anand Avati 2015-02-03 06:16:36 EST
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 282 Anand Avati 2015-02-03 06:27:38 EST
REVIEW: http://review.gluster.org/9556 (xlators/storage/bd : Unused value is removed.) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 283 Anand Avati 2015-02-03 06:39:44 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 284 Anand Avati 2015-02-03 07:04:55 EST
REVIEW: http://review.gluster.org/9555 (glusterd: coverity fix for string overflow) posted (#3) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 285 Anand Avati 2015-02-03 07:05:16 EST
REVIEW: http://review.gluster.org/9558 (glusterd: coverity fix for insecure temporary file.) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 286 Anand Avati 2015-02-03 07:05:45 EST
REVIEW: http://review.gluster.org/9539 (glusterd : coverity fix for string overflow) posted (#3) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 287 Anand Avati 2015-02-03 08:01:05 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string from coverity check and cppcheck.) posted (#6) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 288 Anand Avati 2015-02-03 08:24:30 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#7) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 289 Anand Avati 2015-02-04 00:13:31 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 290 Anand Avati 2015-02-04 00:20:53 EST
REVIEW: http://review.gluster.org/9558 (glusterd: coverity fix for insecure temporary file) posted (#3) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 291 Anand Avati 2015-02-04 00:57:21 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix) posted (#3) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 292 Anand Avati 2015-02-04 01:19:57 EST
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 293 Anand Avati 2015-02-04 01:48:28 EST
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 294 Anand Avati 2015-02-04 02:45:59 EST
REVIEW: http://review.gluster.org/9573 (libglusterfs : null dereference coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 295 Anand Avati 2015-02-04 02:54:15 EST
REVIEW: http://review.gluster.org/9574 (gluster-cli: Removing logically dead code) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 296 Anand Avati 2015-02-04 04:27:52 EST
REVIEW: http://review.gluster.org/9577 (gluster-cli : Fixing "argument can't be negative" coverity issue) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 297 Anand Avati 2015-02-04 06:32:26 EST
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 298 Anand Avati 2015-02-04 06:39:48 EST
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 299 Anand Avati 2015-02-04 06:41:38 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 300 Anand Avati 2015-02-04 06:53:55 EST
REVIEW: http://review.gluster.org/9582 (gluster-cli : Removing logically dead code) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 301 Anand Avati 2015-02-04 07:03:46 EST
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 302 Anand Avati 2015-02-04 07:06:21 EST
REVIEW: http://review.gluster.org/9574 (gluster-cli: Removing logically dead code) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 303 Anand Avati 2015-02-04 07:14:35 EST
REVIEW: http://review.gluster.org/9574 (gluster-cli: Coverity issue fix, removing redundant check.) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 304 Anand Avati 2015-02-04 07:15:45 EST
REVIEW: http://review.gluster.org/9582 (gluster-cli : Extra checks for word_count removed.) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 305 Anand Avati 2015-02-04 07:57:36 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#8) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 306 Anand Avati 2015-02-04 23:37:17 EST
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue.) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 307 Anand Avati 2015-02-04 23:37:37 EST
REVIEW: http://review.gluster.org/9574 (gluster-cli: Coverity issue fix, removing redundant check.) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 308 Anand Avati 2015-02-04 23:38:14 EST
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code.) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 309 Anand Avati 2015-02-05 00:19:51 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 310 Anand Avati 2015-02-05 01:21:05 EST
REVIEW: http://review.gluster.org/9584 (dht : logically dead code removed.) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 311 Anand Avati 2015-02-05 01:31:09 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix.) posted (#3) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 312 Anand Avati 2015-02-05 02:05:13 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix.) posted (#4) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 313 Anand Avati 2015-02-05 02:09:31 EST
REVIEW: http://review.gluster.org/9581 (dht : logical-error fix) posted (#5) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 314 Anand Avati 2015-02-05 02:26:44 EST
REVIEW: http://review.gluster.org/9574 (gluster-cli: Fixing operand error and removing logically dead code) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 315 Anand Avati 2015-02-05 02:50:36 EST
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 316 Anand Avati 2015-02-05 02:58:59 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix.) posted (#6) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 317 Anand Avati 2015-02-05 03:04:45 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#9) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 318 Anand Avati 2015-02-05 03:04:49 EST
REVIEW: http://review.gluster.org/9587 (geo-rep: Fixing of STRING_OVERFLOW) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 319 Anand Avati 2015-02-05 03:07:56 EST
REVIEW: http://review.gluster.org/9555 (glusterd: coverity fix for string overflow.) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 320 Anand Avati 2015-02-05 03:09:15 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#10) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 321 Anand Avati 2015-02-05 03:09:47 EST
REVIEW: http://review.gluster.org/9588 (bd: coverity fixes, removing logically dead code and correcting checks) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 322 Anand Avati 2015-02-05 03:09:59 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#11) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 323 Anand Avati 2015-02-05 03:24:09 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects Coverity IDs: 1124853 1134021 1134022 1134023) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 324 Anand Avati 2015-02-05 03:28:58 EST
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#12) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 325 Anand Avati 2015-02-05 03:29:07 EST
REVIEW: http://review.gluster.org/9589 (geo-rep: Fixing of STRING_OVERFLOW) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 326 Anand Avati 2015-02-05 03:41:40 EST
REVIEW: http://review.gluster.org/9590 (geo-rep: Fixing of STRING_OVERFLOW) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 327 Anand Avati 2015-02-05 03:48:09 EST
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix.) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 328 Anand Avati 2015-02-05 04:38:30 EST
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 329 Anand Avati 2015-02-05 04:43:54 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix) posted (#4) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 330 Anand Avati 2015-02-05 05:44:37 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix.) posted (#7) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 331 Anand Avati 2015-02-05 06:03:22 EST
REVIEW: http://review.gluster.org/9574 (gluster-cli: Fixing operand error and removing logically dead code.) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 332 Anand Avati 2015-02-05 06:18:02 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix.) posted (#8) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 333 Anand Avati 2015-02-05 06:31:18 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix & Null dereference removal) posted (#9) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 334 Anand Avati 2015-02-05 06:40:23 EST
REVIEW: http://review.gluster.org/9590 (geo-rep: Fixing of STRING_OVERFLOW) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 335 Anand Avati 2015-02-05 06:48:39 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix & null dereference fix.) posted (#10) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 336 Anand Avati 2015-02-06 00:14:53 EST
REVIEW: http://review.gluster.org/9577 (gluster-cli : Fixing "argument can't be negative" coverity issue.) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 337 Anand Avati 2015-02-06 02:42:45 EST
REVIEW: http://review.gluster.org/9600 (rpc-lib: Fixing the coverity issues) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 338 Anand Avati 2015-02-06 04:35:49 EST
REVIEW: http://review.gluster.org/9577 (gluster-cli : Fixing "argument can't be negative" coverity issue) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 339 Anand Avati 2015-02-06 05:01:52 EST
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 340 Anand Avati 2015-02-06 05:08:30 EST
REVIEW: http://review.gluster.org/9577 (gluster-cli : Fixing "argument can't be negative" coverity issue.) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 341 Anand Avati 2015-02-06 05:53:56 EST
REVIEW: http://review.gluster.org/9558 (glusterd: coverity fix for insecure temporary file) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 342 Anand Avati 2015-02-06 06:01:01 EST
REVIEW: http://review.gluster.org/9601 (protocol/client : logical dead code removed) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 343 Anand Avati 2015-02-06 06:05:25 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix and null dereference fix) posted (#11) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 344 Anand Avati 2015-02-06 06:05:51 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix.) posted (#5) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 345 Anand Avati 2015-02-06 07:00:27 EST
REVIEW: http://review.gluster.org/9558 (glusterd: Coverity fix for insecure temporary file) posted (#5) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 346 Anand Avati 2015-02-08 23:46:36 EST
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues.) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 347 Anand Avati 2015-02-09 00:44:46 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix.) posted (#6) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 348 Anand Avati 2015-02-09 00:53:50 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix.) posted (#7) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 349 Anand Avati 2015-02-09 00:56:31 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix.) posted (#8) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 350 Anand Avati 2015-02-09 01:08:42 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix & null dereference fix.) posted (#12) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 351 Anand Avati 2015-02-09 01:13:23 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix & null dereference fix.) posted (#13) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 352 Anand Avati 2015-02-09 01:16:38 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix & null dereference fix.) posted (#14) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 353 Anand Avati 2015-02-09 02:28:44 EST
REVIEW: http://review.gluster.org/9606 (cli : logically dead code removed) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 354 Anand Avati 2015-02-09 04:22:43 EST
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix.) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 355 Anand Avati 2015-02-09 05:12:55 EST
REVIEW: http://review.gluster.org/9610 (api: coverity fix) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 356 Anand Avati 2015-02-09 05:17:24 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix & null dereference fix) posted (#15) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 357 Anand Avati 2015-02-09 06:29:15 EST
REVIEW: http://review.gluster.org/9606 (cli : logically dead code removed.) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 358 Anand Avati 2015-02-09 06:29:52 EST
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix.) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 359 Anand Avati 2015-02-09 06:34:40 EST
REVIEW: http://review.gluster.org/9610 (api: coverity fix.) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 360 Anand Avati 2015-02-09 06:46:10 EST
REVIEW: http://review.gluster.org/9612 (features/changelog: Fixing Insecure temporary file) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 361 Anand Avati 2015-02-09 06:52:57 EST
REVIEW: http://review.gluster.org/9614 (marker, quota: Fixing the coverity issues) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 362 Anand Avati 2015-02-09 07:14:20 EST
REVIEW: http://review.gluster.org/9615 (snapview: Fixing the coverity issues) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 363 Anand Avati 2015-02-09 07:16:20 EST
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 364 Anand Avati 2015-02-09 09:51:59 EST
COMMIT: http://review.gluster.org/9610 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 1353aeadcd080c356a4c404dbfb10ff3f23ab4cf
Author: Sakshi Bansal <sabansal@redhat.com>
Date:   Mon Feb 9 15:41:37 2015 +0530

    api: coverity fix.
    
    CID 1214617: dereference NULL return value.
    
    Change-Id: I57447c3b1663edadfa966892c53bc2a16d4a166f
    BUG: 789278
    Signed-off-by: Sakshi Bansal <sabansal@redhat.com>
    Reviewed-on: http://review.gluster.org/9610
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 365 Anand Avati 2015-02-10 00:07:08 EST
REVIEW: http://review.gluster.org/9606 (cli : logically dead code removed) posted (#3) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 366 Anand Avati 2015-02-10 00:08:22 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix and null dereference fix.) posted (#16) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 367 Anand Avati 2015-02-10 00:11:12 EST
REVIEW: http://review.gluster.org/9617 (features/changelog: Fixing Deference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 368 Anand Avati 2015-02-10 00:42:45 EST
REVIEW: http://review.gluster.org/9618 (auth: Adding missing break.) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 369 Anand Avati 2015-02-10 00:51:22 EST
REVIEW: http://review.gluster.org/9619 (bd: Fixing dereference after null check(FORWARD_NULL)) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 370 Anand Avati 2015-02-10 00:57:46 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 371 Anand Avati 2015-02-10 01:11:22 EST
REVIEW: http://review.gluster.org/9620 (rpc-transport : added missing break) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 372 Anand Avati 2015-02-10 01:39:46 EST
REVIEW: http://review.gluster.org/9620 (rpc-transport : added missing break.) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 373 Anand Avati 2015-02-10 01:50:50 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects.) posted (#7) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 374 Anand Avati 2015-02-10 03:26:24 EST
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix.) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 375 Anand Avati 2015-02-10 04:32:32 EST
REVIEW: http://review.gluster.org/9622 (dht : coverity fixes) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 376 Anand Avati 2015-02-10 05:56:11 EST
REVIEW: http://review.gluster.org/9625 (glusterd: Fixing Dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 377 Anand Avati 2015-02-10 07:40:51 EST
REVIEW: http://review.gluster.org/9581 (dht : logical error fix and null dereference fix) posted (#17) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 378 Anand Avati 2015-02-10 07:41:11 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#8) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 379 Anand Avati 2015-02-10 08:20:41 EST
REVIEW: http://review.gluster.org/9626 (features/changelog: Fixing Dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 380 Anand Avati 2015-02-10 10:37:53 EST
REVIEW: http://review.gluster.org/9626 (features/changelog: Fixing Dereference after null check.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 381 Anand Avati 2015-02-10 23:29:05 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects.) posted (#9) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 382 Anand Avati 2015-02-11 00:54:10 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix.) posted (#9) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 383 Anand Avati 2015-02-11 01:02:36 EST
REVIEW: http://review.gluster.org/9622 (dht : coverity fixes) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 384 Anand Avati 2015-02-11 01:15:38 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fix) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 385 Anand Avati 2015-02-11 01:16:14 EST
REVIEW: http://review.gluster.org/9629 (fuse: Fixing the coverity issues) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 386 Anand Avati 2015-02-11 01:20:52 EST
REVIEW: http://review.gluster.org/9630 (libglusterfs: coverity fix) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 387 Anand Avati 2015-02-11 01:25:21 EST
REVIEW: http://review.gluster.org/9584 (dht : logically dead code removed.) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 388 Anand Avati 2015-02-11 02:08:45 EST
REVIEW: http://review.gluster.org/9629 (fuse: Fixing the coverity issues) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 389 Anand Avati 2015-02-11 02:09:28 EST
REVIEW: http://review.gluster.org/9584 (dht : logically dead code removed.) posted (#3) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 390 Anand Avati 2015-02-11 03:41:29 EST
REVIEW: http://review.gluster.org/9622 (dht : coverity fixes.) posted (#3) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 391 Anand Avati 2015-02-11 04:19:54 EST
REVIEW: http://review.gluster.org/9631 (features/marker: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 392 Anand Avati 2015-02-11 04:29:59 EST
REVIEW: http://review.gluster.org/9626 (features/changelog: Fixing Dereference after null check.) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 393 Anand Avati 2015-02-11 04:41:03 EST
REVIEW: http://review.gluster.org/9632 (fuse: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 394 Anand Avati 2015-02-11 06:08:22 EST
REVIEW: http://review.gluster.org/9626 (features/changelog: Fixing Dereference after null check) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 395 Anand Avati 2015-02-11 06:56:42 EST
REVIEW: http://review.gluster.org/9636 (glusterd: Dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 396 Anand Avati 2015-02-11 07:32:44 EST
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 397 Anand Avati 2015-02-11 08:35:44 EST
REVIEW: http://review.gluster.org/9639 (io-stats: Fixing dereference after null check.) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 398 Anand Avati 2015-02-11 08:49:50 EST
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 399 Anand Avati 2015-02-11 22:36:30 EST
REVIEW: http://review.gluster.org/9636 (glusterd: Dereference after null check.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 400 Anand Avati 2015-02-11 23:44:59 EST
REVIEW: http://review.gluster.org/9640 (fuse: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 401 Anand Avati 2015-02-11 23:56:01 EST
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 402 Anand Avati 2015-02-12 00:11:18 EST
REVIEW: http://review.gluster.org/9629 (fuse: Fixing the coverity issues.) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 403 Anand Avati 2015-02-12 00:13:05 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#10) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 404 Anand Avati 2015-02-12 00:13:42 EST
REVIEW: http://review.gluster.org/9622 (dht : coverity fixes) posted (#4) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 405 Anand Avati 2015-02-12 00:14:07 EST
REVIEW: http://review.gluster.org/9584 (dht : logically dead code removed) posted (#4) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 406 Anand Avati 2015-02-12 00:14:27 EST
REVIEW: http://review.gluster.org/9563 (xlators/dht : divide by zero coverity fix) posted (#10) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 407 Anand Avati 2015-02-12 00:14:46 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fix.) posted (#2) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 408 Anand Avati 2015-02-12 00:54:10 EST
REVIEW: http://review.gluster.org/9642 (qemu-block: Fixing coverity issue(Unused value)) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 409 Anand Avati 2015-02-12 01:15:14 EST
REVIEW: http://review.gluster.org/9629 (fuse: Fixing the coverity issues) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 410 Anand Avati 2015-02-12 01:22:00 EST
REVIEW: http://review.gluster.org/9643 (protocol-client : dead code removed) posted (#1) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 411 Anand Avati 2015-02-12 01:50:55 EST
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check.) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 412 Anand Avati 2015-02-12 02:24:52 EST
REVIEW: http://review.gluster.org/9644 (features/quota: FIxing Logically dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 413 Anand Avati 2015-02-12 03:27:48 EST
REVIEW: http://review.gluster.org/9645 (features/snapview: Fixing Logically dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 414 Anand Avati 2015-02-12 05:05:47 EST
REVIEW: http://review.gluster.org/9646 (protocol-client: Removal of Logically dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 415 Anand Avati 2015-02-12 06:06:12 EST
REVIEW: http://review.gluster.org/9647 (protocol-server: Removal of Logically dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 416 Anand Avati 2015-02-12 10:05:49 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fix) posted (#3) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 417 Anand Avati 2015-02-12 10:15:37 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fix.) posted (#4) for review on master by Manikandan S Selvaganesh (11bc049@skcet.ac.in)
Comment 418 Anand Avati 2015-02-13 01:19:41 EST
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#11) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 419 Anand Avati 2015-02-13 02:07:48 EST
REVIEW: http://review.gluster.org/9650 (glusterd: coverity fix for TOCTOU.) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 420 Anand Avati 2015-02-13 05:33:30 EST
REVIEW: http://review.gluster.org/9651 (io-cache: Removing Logically dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 421 Anand Avati 2015-02-16 02:09:07 EST
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 422 Anand Avati 2015-02-16 03:59:20 EST
REVIEW: http://review.gluster.org/9659 (io-stats : null dereference coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 423 Anand Avati 2015-02-16 04:03:01 EST
REVIEW: http://review.gluster.org/9660 (dht : null dereference coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 424 Anand Avati 2015-02-16 04:08:06 EST
REVIEW: http://review.gluster.org/9659 (io-stats : null dereference coverity fix.) posted (#2) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 425 Anand Avati 2015-02-16 05:55:46 EST
REVIEW: http://review.gluster.org/9619 (bd: Fixing dereference after null check(FORWARD_NULL)) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 426 Anand Avati 2015-02-17 03:29:03 EST
REVIEW: http://review.gluster.org/9661 (glusterd: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 427 Anand Avati 2015-02-17 04:37:04 EST
REVIEW: http://review.gluster.org/9662 (features/snapview-server: Fixing explicit null dereferencing.) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 428 Anand Avati 2015-02-17 04:59:37 EST
REVIEW: http://review.gluster.org/9663 (dht: Fixing dereference after null check.) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 429 Anand Avati 2015-02-17 06:30:47 EST
REVIEW: http://review.gluster.org/9666 (dht: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 430 Anand Avati 2015-02-17 06:50:19 EST
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 431 Anand Avati 2015-02-17 06:59:20 EST
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable. (coverity fix)) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 432 Anand Avati 2015-02-17 07:05:30 EST
REVIEW: http://review.gluster.org/9590 (geo-rep: Fixing of STRING_OVERFLOW features/changelog: Fixing copy into fixed size buffer) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 433 Anand Avati 2015-02-17 08:26:46 EST
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 434 Anand Avati 2015-02-18 02:44:45 EST
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix.) posted (#2) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 435 Anand Avati 2015-02-18 02:45:00 EST
REVIEW: http://review.gluster.org/9659 (io-stats : null dereference coverity fix) posted (#3) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 436 Anand Avati 2015-02-18 02:45:18 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fix) posted (#5) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 437 Anand Avati 2015-02-18 02:45:36 EST
REVIEW: http://review.gluster.org/9643 (protocol-client : dead code removed.) posted (#2) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 438 Anand Avati 2015-02-18 03:13:28 EST
REVIEW: http://review.gluster.org/9674 (rpc: Fixing dereferencing after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 439 Anand Avati 2015-02-18 03:38:58 EST
REVIEW: http://review.gluster.org/9675 (cli: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 440 Anand Avati 2015-02-18 04:09:49 EST
REVIEW: http://review.gluster.org/9675 (cli: Fixing dereference after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 441 Anand Avati 2015-02-18 04:33:37 EST
REVIEW: http://review.gluster.org/9676 (protocol-client: Removal of Dead Code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 442 Anand Avati 2015-02-18 05:46:43 EST
REVIEW: http://review.gluster.org/9675 (cli: Fixing dereference after null check) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 443 Anand Avati 2015-02-18 06:04:43 EST
REVIEW: http://review.gluster.org/9677 (libglusterfs : dead code fix) posted (#1) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 444 Anand Avati 2015-02-18 06:06:15 EST
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable (coverity fix)) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 445 Anand Avati 2015-02-18 06:06:49 EST
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable. (coverity fix)) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 446 Anand Avati 2015-02-18 06:06:52 EST
REVIEW: http://review.gluster.org/9678 (glusterd: Fixing wrong array comparison (Coverity fix)) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 447 Anand Avati 2015-02-18 06:11:08 EST
REVIEW: http://review.gluster.org/9679 (glusterd: Fixing wrong array comparison (Coverity fix)) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 448 Anand Avati 2015-02-18 22:41:20 EST
REVIEW: http://review.gluster.org/9675 (cli: Fixing dereference after null check      and dead code removal) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 449 Anand Avati 2015-02-18 23:57:17 EST
REVIEW: http://review.gluster.org/9690 (fuse: Removal of dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 450 Anand Avati 2015-02-19 02:27:47 EST
REVIEW: http://review.gluster.org/9677 (libglusterfs : dead code fix.) posted (#2) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 451 Anand Avati 2015-02-19 02:28:16 EST
REVIEW: http://review.gluster.org/9659 (io-stats : null dereference coverity fix.) posted (#4) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 452 Anand Avati 2015-02-19 02:28:30 EST
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix) posted (#3) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 453 Anand Avati 2015-02-19 02:28:48 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fixes.) posted (#6) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 454 Anand Avati 2015-02-19 04:14:34 EST
REVIEW: http://review.gluster.org/9694 (symlink-cache: Fixing coverity issues) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 455 Anand Avati 2015-02-23 00:25:49 EST
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix) posted (#4) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 456 Anand Avati 2015-02-23 06:26:34 EST
REVIEW: http://review.gluster.org/9617 (features/changelog: Fixing Deference after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 457 Anand Avati 2015-03-03 01:23:00 EST
REVIEW: http://review.gluster.org/9584 (dht : logically dead code removed) posted (#5) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 458 Anand Avati 2015-03-03 09:40:45 EST
COMMIT: http://review.gluster.org/9584 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 4ff398987805ba72010d328c61a5682088d32cf4
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Thu Feb 5 10:59:48 2015 +0530

    dht : logically dead code removed
    
    CID :1124378
         1124401
    
    Change-Id: Ib48e4a8d3fb12c4e0323a3946afb46eeb3926984
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9584
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
Comment 459 Anand Avati 2015-03-05 05:23:12 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fixes.) posted (#7) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 460 Anand Avati 2015-03-05 05:23:26 EST
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fixes.) posted (#8) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 461 Anand Avati 2015-03-05 05:37:28 EST
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix.) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 462 Anand Avati 2015-03-13 07:43:51 EDT
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix) posted (#5) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 463 Anand Avati 2015-03-13 14:18:43 EDT
REVIEW: http://review.gluster.org/9677 (libglusterfs : dead code fix.) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 464 Anand Avati 2015-03-13 16:04:33 EDT
REVIEW: http://review.gluster.org/9640 (fuse: Fixing dereference after null check) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 465 Anand Avati 2015-03-15 11:43:57 EDT
COMMIT: http://review.gluster.org/9556 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 510b1f6292da249a641aea6bc06ede433cc66936
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Tue Feb 3 13:17:19 2015 +0530

    xlators/storage/bd : Unused value is removed.
    
    CID:1128926
    
    Change-Id: I5ad1229e225a36f995245a847db1a19609a18cd8
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9556
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 466 Anand Avati 2015-03-15 11:45:53 EDT
COMMIT: http://review.gluster.org/9640 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d8c18855caa07ff9d529395a760457281dd2f08e
Author: arao <arao@redhat.com>
Date:   Thu Feb 12 10:12:35 2015 +0530

    fuse: Fixing dereference after null check
    
    CID: 1124496
    
    The pointer is not checked against null and is dereferenced anyway,
    which is now checked.
    
    Change-Id: Ib810546445596671b3656f01a14bbad02cdc221c
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9640
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 467 Anand Avati 2015-03-16 00:50:25 EDT
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix.) posted (#6) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 468 Anand Avati 2015-03-16 03:54:29 EDT
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix) posted (#7) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 469 Anand Avati 2015-03-17 03:48:28 EDT
REVIEW: http://review.gluster.org/9667 (posix : unchecked return value coverity fix.) posted (#8) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 470 Anand Avati 2015-03-17 04:04:29 EDT
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects.) posted (#12) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 471 Anand Avati 2015-03-18 08:18:18 EDT
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#13) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 472 Anand Avati 2015-03-19 14:41:30 EDT
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code.) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 473 Anand Avati 2015-03-20 07:21:39 EDT
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fixes.) posted (#9) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 474 Anand Avati 2015-03-24 14:24:34 EDT
COMMIT: http://review.gluster.org/9679 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d71418ac4e2da989fc49eece4e2acbb9288b71f9
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Wed Feb 18 16:40:03 2015 +0530

    glusterd: Fixing wrong array comparison (Coverity fix)
    
    Coverity CID: 1256175
    
    Change-Id: Ib29fc2eaa54a7ce8369918e68bf117d0f04ca94d
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9679
    Reviewed-by: Vijaikumar Mallikarjuna <vmallika@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 475 Anand Avati 2015-03-25 04:28:46 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 476 Anand Avati 2015-03-25 04:29:41 EDT
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 477 Anand Avati 2015-03-25 04:30:17 EDT
REVIEW: http://review.gluster.org/9651 (io-cache: Removing Logically dead code.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 478 Anand Avati 2015-03-25 04:30:43 EDT
REVIEW: http://review.gluster.org/9646 (protocol-client: Removal of Logically dead code.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 479 Anand Avati 2015-03-25 04:31:14 EDT
REVIEW: http://review.gluster.org/9644 (features/quota: Fixing Logically dead code) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 480 Anand Avati 2015-03-25 04:31:40 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 481 Anand Avati 2015-03-25 04:32:12 EDT
REVIEW: http://review.gluster.org/9647 (protocol-server: Removal of Logically dead code.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 482 Anand Avati 2015-03-25 04:55:16 EDT
REVIEW: http://review.gluster.org/9663 (dht: Fixing dereference after null check.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 483 Anand Avati 2015-03-30 02:54:29 EDT
COMMIT: http://review.gluster.org/9667 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit b7d8567145b948c7a51b6ecccfd5ff5c10c5a17a
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Tue Feb 17 17:17:40 2015 +0530

    posix : unchecked return value coverity fix.
    
    CID   : 1124364
    
    Change-Id: I1e16e3ff46b191ba2ea527e628c77a99a56f6c31
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9667
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 484 Anand Avati 2015-03-30 02:55:53 EDT
COMMIT: http://review.gluster.org/9601 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 298e94f8049df7e89f77bbd3d42d3c91981d492c
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Fri Feb 6 16:29:09 2015 +0530

    protocol/client : logical dead code removed
    
        CID :112438{2,3,4,5}
             11244{03,04,05,06,07,08,09,10,11,12,13,14,30,31,32,33}
             11244{34,35,36,37,38,39,40,41,42,43,44,56,57,58,59,60}
             11244{61,62,63,64,65,66,67,68,69,70}
             1128902
    
    Change-Id: I1b53aeee83209728d5711540210d19314f4165bc
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9601
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 485 Anand Avati 2015-03-30 02:57:27 EDT
COMMIT: http://review.gluster.org/9643 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d680cbb47a2f630bbe062b48f910528e7ffad97d
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Thu Feb 12 11:47:31 2015 +0530

    protocol-client : dead code removed.
    
    CID             : 1124415,1124416,
                      1124417,1124418,
                      1124419,1124420,
                      1124425,1124426,
                      1124427,1124428,
                      1124445,1124446.
    
    Change-Id: Ib140b8907f4548f41fccb8044772397760fff835
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9643
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 486 Anand Avati 2015-03-30 03:08:33 EDT
COMMIT: http://review.gluster.org/9659 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 49d68945c01cdb29490de3ebbee42036ca23ef87
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Feb 16 14:26:54 2015 +0530

    io-stats : null dereference coverity fix.
    
    CID      :1124502
    
    Change-Id: I2911be340e8e48a52e951d0f04f6a96f3c219fab
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9659
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 487 Anand Avati 2015-03-30 03:09:39 EDT
COMMIT: http://review.gluster.org/9606 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2355012f3843859d639819d2308f995e08e270e5
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Feb 9 12:56:17 2015 +0530

    cli : logically dead code removed
    
    CID : 1124396
          1124398
    
    Change-Id: I708703529bbfe78c295523d2f4b85a55566a6249
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9606
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 488 Anand Avati 2015-03-30 03:28:56 EDT
COMMIT: http://review.gluster.org/9646 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 059e085752d09e841fd685e3ca53aeb2983cd48b
Author: arao <arao@redhat.com>
Date:   Thu Feb 12 15:27:00 2015 +0530

    protocol-client: Removal of Logically dead code.
    
    CID: 1124447
    The values of the pointer varibale checked,
    before going to out label was always NULL,
    hence dead code related to that is removed.
    
    Change-Id: I0f9b84c7feb34072814557ddd023f2ae1c64ef7e
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9646
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 489 Anand Avati 2015-03-30 03:33:53 EDT
COMMIT: http://review.gluster.org/9619 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 9272b1cf5655fff625b254a1ea952dcefd3c3af1
Author: arao <arao@redhat.com>
Date:   Tue Feb 10 11:06:27 2015 +0530

    bd: Fixing dereference after null check(FORWARD_NULL)
    
    CID: 1128907
    The pointer variable 'bdatt' redirected to a goto label
    when the value was NULL and in the other condition when it is not NULL
    , hence the bdatt is again checked for NULL at 'reverse xattr' label.
    
    Change-Id: I2289cbf30fde9faf97e6eebd4902953a44049f9e
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9619
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 490 Anand Avati 2015-03-30 03:36:33 EDT
COMMIT: http://review.gluster.org/9694 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit dcff68eb2e9837a1db6634571e8e03fc57ff3182
Author: arao <arao@redhat.com>
Date:   Thu Feb 19 14:37:18 2015 +0530

    symlink-cache: Fixing coverity issues
    
    CID: 1124389
    Misspelt variable leading to dead code
    and memory leak, corrected.
    
    Change-Id: I1278f07f81e2db33640e0f289558d919343cb6ce
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9694
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 491 Anand Avati 2015-03-30 03:36:56 EDT
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects.) posted (#14) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 492 Anand Avati 2015-03-30 03:40:09 EDT
COMMIT: http://review.gluster.org/9676 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f2c1261123798403dd254926db4f2008de4b6d84
Author: arao <arao@redhat.com>
Date:   Wed Feb 18 14:57:31 2015 +0530

    protocol-client: Removal of Dead Code
    
    CID: 1124448
    CID: 1124449
    Removal of the dead code in the 'out' label.
    
    Change-Id: Ibdd05cbb6e2204f6aefdf442698225883c2d7734
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9676
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 493 Anand Avati 2015-03-30 03:42:54 EDT
COMMIT: http://review.gluster.org/9588 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit b828932c1430bfc62d7c3c83fec8e4a79ca4dbe6
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Thu Feb 5 13:37:37 2015 +0530

    bd: coverity fixes, removing logically dead code and correcting checks
    
    Coverity CIDs:
        1128910
        1128911
        1128913
        1128912
        1134020
    
    Change-Id: I2d871723fbfe43f9ff6b3beba7a99b0d81d4aff5
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9588
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 494 Anand Avati 2015-03-30 04:27:59 EDT
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable (coverity fix)) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 495 Anand Avati 2015-03-30 05:03:21 EDT
REVIEW: http://review.gluster.org/9628 (dht : logical error and null dereference fix.) posted (#10) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 496 Anand Avati 2015-03-30 08:42:47 EDT
COMMIT: http://review.gluster.org/9642 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 8e2a0f35e0ac66e75f2dcbe6a9ca8815d4233edf
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Thu Feb 12 11:20:49 2015 +0530

    qemu-block: Fixing coverity issue(Unused value)
    
    Coverity ID: 1124889 1124889 1124889 1124889 1124889 1124889 1124889
    1124889 1124889 1124889 1124889
    
    Change-Id: I82d57022c4a06fb70573b4e9436f934185f8fb84
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9642
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 497 Anand Avati 2015-03-30 18:48:04 EDT
REVIEW: http://review.gluster.org/10055 (features/bit-rot: fix assignment instead of check (Coverity fix)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 498 Anand Avati 2015-03-30 19:10:05 EDT
REVIEW: http://review.gluster.org/10056 (features/bit-rot: fix CID 1124725 - use after free) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 499 Anand Avati 2015-03-30 20:06:28 EDT
REVIEW: http://review.gluster.org/10057 (fuse: add missing return in error path (CID 1288092)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 500 Anand Avati 2015-03-30 20:41:26 EDT
REVIEW: http://review.gluster.org/10058 (features/changelog: fix possible memory illegal access (1 of 2, coverity)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 501 Anand Avati 2015-03-30 20:41:45 EDT
REVIEW: http://review.gluster.org/10059 (features/changelog: fix possible memory illegal access (2 of 2, coverity)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 502 Anand Avati 2015-03-31 03:08:21 EDT
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#15) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 503 Anand Avati 2015-03-31 03:42:51 EDT
REVIEW: http://review.gluster.org/10061 (features/changelog: fix possible illegal memory access (CID 1288821)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 504 Anand Avati 2015-03-31 03:52:07 EDT
REVIEW: http://review.gluster.org/10062 (features/changelog: fix possible illegal memory access (CID 1288819)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 505 Anand Avati 2015-03-31 03:57:44 EDT
REVIEW: http://review.gluster.org/10063 (libgfdb: fix possible illegal memory access (CID 1288820)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 506 Anand Avati 2015-03-31 04:01:43 EDT
COMMIT: http://review.gluster.org/10057 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 10f3289bac31a2b0020dfe1e97ed98601e4e4521
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 02:01:40 2015 +0200

    fuse: add missing return in error path (CID 1288092)
    
    Fixes Coverity CID 1288092.
    
    Change-Id: I95347915b1dee6003d7a1cfb86f12cf2cd7310f8
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10057
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 507 Anand Avati 2015-03-31 04:05:40 EDT
COMMIT: http://review.gluster.org/9577 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a2fa3ba3f6b604b9a5b305092226b12e812fcaf1
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Wed Feb 4 14:47:36 2015 +0530

    gluster-cli : Fixing "argument can't be negative" coverity issue.
    
    Here value of fd can never have a negative value if it is to be
    closed. So changing the check from if (fd) to if (fd >= 0)
    
    Coverity CIDs:
    1124652
    1124653
    
    Change-Id: I8491afa93bab10acd2c2e01993a7f7468ca9ff87
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9577
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 508 Anand Avati 2015-03-31 04:09:58 EDT
COMMIT: http://review.gluster.org/9614 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d7374684f648c1e45d695454f95a65acfe6d04e8
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Mon Feb 9 17:16:22 2015 +0530

    marker, quota: Fixing the coverity issues
    
    Coverity CIDs:
    1124601
    1124690
    1134008
    1134009
    
    Change-Id: I93992b11bb6d8f7edd065f602aec2cd7a8b433d0
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9614
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 509 Anand Avati 2015-03-31 04:18:10 EDT
COMMIT: http://review.gluster.org/9629 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2acb5325828a68b06b39ab44e6736c6ad4ca3a06
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Wed Feb 11 11:29:20 2015 +0530

    fuse: Fixing the coverity issues
    
    Coverity CID:
    1124806
    1124692
    
    Change-Id: I6dcf245ded9796fb42516eca63211d855262c26f
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9629
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 510 Anand Avati 2015-03-31 04:20:08 EDT
COMMIT: http://review.gluster.org/9662 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 17d719c9ba08ba6b6eb040723f78cfa45b0c2ae7
Author: arao <arao@redhat.com>
Date:   Tue Feb 17 14:54:45 2015 +0530

    features/snapview-server: Fixing explicit null dereferencing.
    
    CID: 1238184
    The pointer was not checked for null before
    dereferencing in the 'out' label, which is
    resolved now.
    
    Change-Id: I8aa7520102b84f63727754b8ac9c1f87ef8a6671
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9662
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 511 Anand Avati 2015-03-31 04:29:36 EDT
COMMIT: http://review.gluster.org/9690 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit e59e3a341308a9f47231d0205359da6886bb82be
Author: arao <arao@redhat.com>
Date:   Thu Feb 19 10:13:22 2015 +0530

    fuse: Removal of dead code
    
    CID: 1124386
    Dead code/ Unreachable code and related
    unsed variable are removed.
    
    Change-Id: Iafd317f01778dfe61f8a0e5398341e4f3a62d7a5
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9690
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 512 Anand Avati 2015-03-31 04:32:19 EDT
COMMIT: http://review.gluster.org/9617 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6522f059eeec1b9962525b61c4c6640ae1afe85c
Author: arao <arao@redhat.com>
Date:   Tue Feb 10 02:51:43 2015 +0530

    features/changelog: Fixing Deference after null check
    
    CID: 1124481
    The goto label 'out' was trying to
    dereference a pointer which might be
    null, hence a check on not null is
    made before the use of it.
    
    Change-Id: I813e523207b8218a7a28c2b3ac36a8e472e36c89
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9617
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 513 Anand Avati 2015-03-31 04:34:52 EDT
COMMIT: http://review.gluster.org/9677 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit e92270044e358ca5b290557026fab32f5d8368e9
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Wed Feb 18 16:32:17 2015 +0530

    libglusterfs : dead code fix.
    
    CID          : 1124884
    
    Change-Id: I3332e844a01c1432f1d80a6acda7a87e8b01801c
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9677
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 514 Anand Avati 2015-03-31 04:35:44 EDT
COMMIT: http://review.gluster.org/9574 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6df8d1d8781f59fbab46c4b016dde0b2d33dd189
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Wed Feb 4 13:21:50 2015 +0530

    gluster-cli: Fixing operand error and removing logically dead code.
    
    Assign used instead of comparison
    Coverity CIDs:
    1124391
    1124346
    1124369
    1124370
    1124702
    1124390
    1124397
    
    Change-Id: If015382917cad65edc2fee38ae6328f1d072d6f6
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9574
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 515 Anand Avati 2015-03-31 05:05:23 EDT
REVIEW: http://review.gluster.org/10064 (features/trash: fix remove_trash_path() to do what it is intended.) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 516 Anand Avati 2015-03-31 06:44:42 EDT
REVIEW: http://review.gluster.org/10068 (features/trash: fix storing/wiping of eliminate path (coverity)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 517 Anand Avati 2015-03-31 07:40:20 EDT
REVIEW: http://review.gluster.org/10064 (features/trash: fix remove_trash_path() to do what it is intended.) posted (#2) for review on master by Michael Adam (obnox@samba.org)
Comment 518 Anand Avati 2015-03-31 08:47:29 EDT
REVIEW: http://review.gluster.org/10056 (features/bit-rot: fix CID 1124725 - use after free) posted (#2) for review on master by Michael Adam (obnox@samba.org)
Comment 519 Anand Avati 2015-03-31 10:16:23 EDT
REVIEW: http://review.gluster.org/10064 (features/trash: fix remove_trash_path() to do what it is intended.) posted (#3) for review on master by Michael Adam (obnox@samba.org)
Comment 520 Anand Avati 2015-03-31 10:39:57 EDT
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 521 Anand Avati 2015-03-31 10:40:00 EDT
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable. (coverity fix)) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 522 Anand Avati 2015-03-31 10:42:51 EDT
REVIEW: http://review.gluster.org/9600 (rpc-lib: Fixing the coverity issues) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 523 Anand Avati 2015-03-31 11:13:26 EDT
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 524 Anand Avati 2015-03-31 23:42:23 EDT
REVIEW: http://review.gluster.org/10082 (features/trash: More coverity fixes) posted (#1) for review on master by Anoop C S (achiraya@redhat.com)
Comment 525 Anand Avati 2015-04-01 00:21:00 EDT
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable) posted (#6) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 526 Anand Avati 2015-04-01 01:23:24 EDT
REVIEW: http://review.gluster.org/9622 (dht : coverity fixes) posted (#5) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 527 Anand Avati 2015-04-01 02:02:25 EDT
REVIEW: http://review.gluster.org/9622 (dht : coverity fixes) posted (#6) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 528 Anand Avati 2015-04-01 02:08:28 EDT
COMMIT: http://review.gluster.org/10068 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 562cdace9152add786f156e38dc3fbc8805a69b7
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 12:30:06 2015 +0200

    features/trash: fix storing/wiping of eliminate path (coverity)
    
    Functions store_eliminate_path() and wipe_eliminate_path() take
    eliminate as a plain pointer not pointer to pointer. Hence
    store_eliminate_path fails to hand the allocated and filled
    eliminate data out to the caller (in particular leaking memory),
    and wipe_eliminate_path() fails to NULL the freed eliminate path.
    
    This leads to several leak and access after free errors found
    by Coverity. This patch fixes the issue by handing in eliminate
    by reference and in the case of wipe_eliminate path, also NULLing
    out the free'd pointer.
    
    This fixes the following coverity IDs:
    
    CID 1288759
    CID 1288790
    
    Change-Id: I7520ae42c5f6e369a145bea67b4ff95b75d2ae73
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10068
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anoop C S <achiraya@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 529 Anand Avati 2015-04-01 02:32:05 EDT
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix) posted (#3) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 530 Anand Avati 2015-04-01 02:36:12 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 531 Anand Avati 2015-04-01 02:44:33 EDT
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 532 Anand Avati 2015-04-01 02:51:38 EDT
COMMIT: http://review.gluster.org/10064 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 5c1ce6d29ee52af9daa23c1c7a54f23ce29a687e
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 10:30:22 2015 +0200

    features/trash: fix remove_trash_path() to do what it is intended.
    
    The intention is to set the the rem_path string pointer that
    is handed in from the outside. So the string has to be passed
    in by reference, or else the function just sets a pointer on
    the stack.
    
    Found by Coverity, CID 1288791
    
    Also fixes:
    CID 1288791
    CID 1288809
    CID 1288810
    CID 1288814
    CID 1288815
    CID 1288817
    CUD 1288818
    
    Change-Id: I6ef5eeb58b83a875cf90513291abe37dee3fc9fb
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10064
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anoop C S <achiraya@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 533 Anand Avati 2015-04-01 02:54:33 EDT
REVIEW: http://review.gluster.org/9553 (posix: Fixing buffer overrun coverity defects) posted (#16) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 534 Anand Avati 2015-04-01 03:12:21 EDT
REVIEW: http://review.gluster.org/10083 (cli: Fixing dereference after null check      and dead code removal) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 535 Anand Avati 2015-04-01 03:18:22 EDT
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix) posted (#4) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 536 Anand Avati 2015-04-01 03:23:31 EDT
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 537 Anand Avati 2015-04-01 03:40:37 EDT
REVIEW: http://review.gluster.org/9540 (Cluster/afr : Coverity fix) posted (#3) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 538 Anand Avati 2015-04-01 06:34:38 EDT
REVIEW: http://review.gluster.org/9674 (rpc: Fixing dereferencing after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 539 Anand Avati 2015-04-01 06:40:04 EDT
REVIEW: http://review.gluster.org/9647 (protocol-server: Removal of Logically dead code) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 540 Anand Avati 2015-04-01 06:46:15 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 541 Anand Avati 2015-04-01 07:22:54 EDT
COMMIT: http://review.gluster.org/10055 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit 3fdd3de1a148cfaf4c1ccf72e8ce2893557cfff6
Author: Michael Adam <obnox@samba.org>
Date:   Mon Mar 30 19:25:02 2015 +0200

    features/bit-rot: fix assignment instead of check (Coverity fix)
    
    Fixes Coverity CIDs 1291728, 1291723, 1291732.
    
    Change-Id: I62f3d540cac0f555fe2839b8418e59691c3ff4fd
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10055
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 542 Anand Avati 2015-04-01 07:45:34 EDT
REVIEW: http://review.gluster.org/9663 (dht: Fixing dereference after null check) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 543 Anand Avati 2015-04-01 09:40:05 EDT
REVIEW: http://review.gluster.org/9540 (Cluster/afr : Coverity fix.) posted (#4) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 544 Anand Avati 2015-04-01 12:49:27 EDT
REVIEW: http://review.gluster.org/10056 (features/bit-rot: fix CID 1124725 - use after free) posted (#3) for review on master by Michael Adam (obnox@samba.org)
Comment 545 Anand Avati 2015-04-01 13:07:10 EDT
COMMIT: http://review.gluster.org/10059 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit dc26a253f5f393745bd435721e31d6e2e598eed1
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 02:36:30 2015 +0200

    features/changelog: fix possible memory illegal access (2 of 2, coverity)
    
    Coverity CID 1288822 (#2 of 2)
    
    strncpy executed with a limit equal to the target array
    size potentially leaves the target string not null terminated.
    Make sure the copied string is a valid 0 terminated string.
    
    Change-Id: If283dd6f716912f65729edf6ea26a4331a697151
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10059
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Poornima G <pgurusid@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 546 Anand Avati 2015-04-01 15:53:19 EDT
REVIEW: http://review.gluster.org/10083 (cli: Fixing dereference after null check      and dead code removal) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 547 Anand Avati 2015-04-01 16:59:29 EDT
REVIEW: http://review.gluster.org/10058 (features/changelog: fix possible illegal mem access (CID 1288822)) posted (#2) for review on master by Michael Adam (obnox@samba.org)
Comment 548 Anand Avati 2015-04-02 03:35:49 EDT
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable (coverity fix)) posted (#7) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 549 Anand Avati 2015-04-02 05:40:16 EDT
REVIEW: http://review.gluster.org/10113 (glusterd: fix Null pointer dereference in bitrot disable) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 550 Anand Avati 2015-04-02 06:05:44 EDT
COMMIT: http://review.gluster.org/10063 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 7616738176f44cce8b6cfb0e1f65be8e1dc72f49
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 09:56:35 2015 +0200

    libgfdb: fix possible illegal memory access (CID 1288820)
    
    Coverity CID 1288820
    
    strncpy executed with a limit equal to the target array
    size potentially leaves the target string not null terminated.
    Make sure the copied string is a valid 0 terminated string.
    
    Change-Id: I39ff6a64ca5b9e30562226dd34c5b06267b75b87
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10063
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Poornima G <pgurusid@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Joseph Fernandes <josferna@redhat.com>
    Tested-by: Joseph Fernandes <josferna@redhat.com>
Comment 551 Anand Avati 2015-04-02 06:17:47 EDT
REVIEW: http://review.gluster.org/10056 (features/bit-rot: fix CID 1124725 - use after free) posted (#4) for review on master by Michael Adam (obnox@samba.org)
Comment 552 Anand Avati 2015-04-02 06:18:04 EDT
REVIEW: http://review.gluster.org/10058 (features/changelog: fix possible illegal mem access (CID 1288822)) posted (#3) for review on master by Michael Adam (obnox@samba.org)
Comment 553 Anand Avati 2015-04-02 06:18:20 EDT
REVIEW: http://review.gluster.org/10061 (features/changelog: fix possible illegal memory access (CID 1288821)) posted (#2) for review on master by Michael Adam (obnox@samba.org)
Comment 554 Anand Avati 2015-04-02 06:18:28 EDT
REVIEW: http://review.gluster.org/10062 (features/changelog: fix possible illegal memory access (CID 1288819)) posted (#2) for review on master by Michael Adam (obnox@samba.org)
Comment 555 Anand Avati 2015-04-02 06:33:20 EDT
REVIEW: http://review.gluster.org/10113 (glusterd: fix Null pointer dereference in bitrot disable) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 556 Anand Avati 2015-04-02 07:05:15 EDT
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable (coverity fix)) posted (#8) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 557 Anand Avati 2015-04-02 08:27:50 EDT
COMMIT: http://review.gluster.org/10056 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit 41bc3f7f023de198c695bdb7708afef3910cc761
Author: Michael Adam <obnox@samba.org>
Date:   Mon Mar 30 19:48:27 2015 +0200

    features/bit-rot: fix CID 1124725 - use after free
    
    Coverity fixes:
    CID 1124725
    CID 1291742
    
    The problem is that gf_tw_cleanup_timers() frees the handed
    in priv->timer_wheel but it can not set the pointer to NULL,
    so subsequent checks for priv->timer_wheel show it as not NULL
    and allow for access after free.
    
    The proper change might be to change gf_tw_cleanup_timers() to
    take a reference to the pointer and set it to NULL after free,
    but since it is under contrib/, I did not want to change that
    function. Instead this patch uses the function's return code
    which was not used previously. (Maybe this should even be done
    in a wrapper macro or function?)
    
    Change-Id: I31d80d3df2e4dc7503d62c7819429e1a388fdfdd
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10056
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 558 Anand Avati 2015-04-02 09:27:56 EDT
COMMIT: http://review.gluster.org/10058 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f4be9bc3c530ab35a0cd1939df8c43abe54e540d
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 02:28:07 2015 +0200

    features/changelog: fix possible illegal mem access (CID 1288822)
    
    Coverity CID 1288822 (#1 of 2)
    
    strncpy executed with a limit equal to the target array
    size potentially leaves the target string not null terminated.
    
    In this case the strncpy is not needed due to the snprintf
    with the same target buffer which follows immediately.
    
    This patch also removes the now unneeded scratch_dir
    argument to gf_changelog_init_history(), which is semantically
    correct, since scratch_dir has previously been filled into
    jnl->jnl_working_dir by the caller, and this is now used to
    fill hist_scratch_dir.
    
    Change-Id: Ib1ed3a1058e80e34191758921b49c29030d6c9db
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10058
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 559 Anand Avati 2015-04-02 09:37:57 EDT
COMMIT: http://review.gluster.org/9674 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit cf5bf1863d58f823f9c67b0e5dda3ba9261ccf27
Author: arao <arao@redhat.com>
Date:   Wed Feb 18 13:11:42 2015 +0530

    rpc: Fixing dereferencing after null check
    
    CID: 1124607
    The pointer variable is checked for NULL and
    logged accordingly.
    
    Change-Id: Ied0d7f7ff33da22198eca65f14816b943cae5541
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9674
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 560 Anand Avati 2015-04-02 09:38:53 EDT
REVIEW: http://review.gluster.org/10083 (cli: Fixing dereference after null check      and dead code removal) posted (#3) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 561 Anand Avati 2015-04-02 09:40:38 EDT
REVIEW: http://review.gluster.org/9647 (protocol-server: Removal of Logically dead code) posted (#4) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 562 Anand Avati 2015-04-02 09:40:54 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#6) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 563 Anand Avati 2015-04-02 12:56:45 EDT
REVIEW: http://review.gluster.org/10082 (features/trash: More coverity fixes) posted (#2) for review on master by Anoop C S (achiraya@redhat.com)
Comment 564 Anand Avati 2015-04-03 00:51:38 EDT
REVIEW: http://review.gluster.org/9669 (cli: Removing negative value check for unsigned variable (coverity fix)) posted (#9) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 565 Anand Avati 2015-04-03 07:23:51 EDT
REVIEW: http://review.gluster.org/9632 (fuse: Fixing dereference after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 566 Anand Avati 2015-04-03 07:30:34 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 567 Anand Avati 2015-04-04 13:53:58 EDT
COMMIT: http://review.gluster.org/9669 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 5e7cc20d3cc37a03f594237bdf85c67397c3ceac
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Tue Feb 17 17:27:03 2015 +0530

    cli: Removing negative value check for unsigned variable (coverity fix)
    
    CID: 1124663
    
    Change-Id: Ic24014cdb9a68ed310c5e3dcf21fcebd6bf9da60
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9669
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 568 Anand Avati 2015-04-04 13:58:28 EDT
COMMIT: http://review.gluster.org/10082 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d2ada381fe332b6151d12d3ef1d1e47f9f7c77f7
Author: Anoop C S <achiraya@redhat.com>
Date:   Tue Mar 24 14:34:52 2015 +0530

    features/trash: More coverity fixes
    
    The following CIDs are being addressed:
    
    1288792
    1288794
    
    Change-Id: Ic2cdaf43f05488e04616ceb801b47a47c6a93656
    BUG: 789278
    Signed-off-by: Anoop C S <achiraya@redhat.com>
    Reviewed-on: http://review.gluster.org/10082
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 569 Anand Avati 2015-04-04 14:01:04 EDT
COMMIT: http://review.gluster.org/9615 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 17827defd6703298b68fee8fd08aef69ab0e2866
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Mon Feb 9 17:39:20 2015 +0530

    snapview: Fixing the coverity issues
    
    Coverity CIDs:
    1228601
    1220056
    1238185
    1257624
    
    Change-Id: Idb4cc3b44bc3ccb8b497ce355e1e3bacfb176db9
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9615
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 570 Anand Avati 2015-04-06 00:10:48 EDT
REVIEW: http://review.gluster.org/9557 (changelog: Fixing buffer overrun coverity issues.) posted (#7) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 571 Anand Avati 2015-04-06 01:37:24 EDT
REVIEW: http://review.gluster.org/9600 (rpc-lib: Fixing the coverity issues) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 572 Anand Avati 2015-04-06 02:33:24 EDT
COMMIT: http://review.gluster.org/10061 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit 90f72efed8313efe0410634677f36d0fbdc5eab4
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 09:41:10 2015 +0200

    features/changelog: fix possible illegal memory access (CID 1288821)
    
    Coverity CID 1288821
    
    strncpy executed with a limit equal to the target array
    size potentially leaves the target string not null terminated.
    Make sure the copied string is a valid 0 terminated string.
    
    Change-Id: I5ecc60549864cf50e3facbb8a2d9228cd67b57b5
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10061
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 573 Anand Avati 2015-04-06 02:45:23 EDT
REVIEW: http://review.gluster.org/10113 (glusterd: fix Null pointer dereference in bitrot disable) posted (#3) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 574 Anand Avati 2015-04-06 04:24:25 EDT
REVIEW: http://review.gluster.org/9600 (rpc-lib: Fixing the coverity issues.) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 575 Anand Avati 2015-04-06 05:40:43 EDT
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix) posted (#5) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 576 Anand Avati 2015-04-06 06:07:48 EDT
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix) posted (#6) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 577 Anand Avati 2015-04-06 09:15:42 EDT
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix) posted (#7) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 578 Anand Avati 2015-04-06 13:15:08 EDT
COMMIT: http://review.gluster.org/10113 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit e5f59739b210672480115177cbd4dbd391fabb92
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Thu Apr 2 15:07:31 2015 +0530

    glusterd: fix Null pointer dereference in bitrot disable
    
    CID : 128806
    
    Change-Id: Ia143a28a3dcb80d2175c908bd152c3d0b821bbb5
    BUG: 789278
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/10113
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
Comment 579 Anand Avati 2015-04-07 00:22:36 EDT
REVIEW: http://review.gluster.org/9571 (afr : null dereference coverity fix.) posted (#8) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 580 Anand Avati 2015-04-07 05:29:05 EDT
REVIEW: http://review.gluster.org/10062 (features/changelog: fix possible illegal memory access (CID 1288819)) posted (#3) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 581 Anand Avati 2015-04-07 06:52:10 EDT
COMMIT: http://review.gluster.org/9622 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit aa0befea352402922839dd846c798c0da2afd271
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Tue Feb 10 14:59:09 2015 +0530

    dht : coverity fixes
    
    CID : 1124352,1124365 (unchecked return value),
          1124377 ( logically dead code),
          1124511 (null dereference)
    
    Change-Id: I61e029a078559cfe15d36bf0aa53418f6214e5cb
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9622
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 582 Anand Avati 2015-04-08 01:36:14 EDT
COMMIT: http://review.gluster.org/9540 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 5ac39ab3cd4ba8c5c3a103912a13c443036bfe2e
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Feb 2 19:19:07 2015 +0530

    Cluster/afr : Coverity fix.
    
    CID:1194644
    
    Childup[] value will not be equal to -1 when afr_xl_op() function gets called
    
    Change-Id: Iaf7a9d41a54f6b2d52d9ba5dadb638f328afe14b
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9540
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 583 Anand Avati 2015-04-08 01:38:38 EDT
COMMIT: http://review.gluster.org/9571 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 20e86a1b4c733934ff9960314d06697ad05a4528
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Wed Feb 4 12:14:52 2015 +0530

    afr : null dereference coverity fix.
    
    CID : 1194648
    
    Change-Id: Ib26e7cdbf412d563240885fb3113bcc1fe5c9c49
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9571
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 584 Anand Avati 2015-04-08 02:52:57 EDT
REVIEW: http://review.gluster.org/9628 (dht : null dereference coverity fix) posted (#11) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 585 Anand Avati 2015-04-08 04:49:39 EDT
COMMIT: http://review.gluster.org/10062 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit 2a224653df93c4b3a6b3914509f314196ad61008
Author: Michael Adam <obnox@samba.org>
Date:   Tue Mar 31 09:50:44 2015 +0200

    features/changelog: fix possible illegal memory access (CID 1288819)
    
    Coverity CID 1288819
    
    strncpy executed with a limit equal to the target array
    size potentially leaves the target string not null terminated.
    Make sure the copied string is a valid 0 terminated string.
    
    Change-Id: Ie2d2970f37840146aa18724be3b89e93194c8160
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10062
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 586 Anand Avati 2015-04-08 15:21:19 EDT
COMMIT: http://review.gluster.org/9628 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 71897c714f570ae9a64ad0809fd890d1d5265b23
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Wed Apr 8 12:19:18 2015 +0530

    dht : null dereference coverity fix
    
    Change-Id: I700e7ebdfe4929a6d74406ea081059bdddcf7a79
    BUG: 789278
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/9628
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
Comment 587 Anand Avati 2015-04-09 05:47:52 EDT
COMMIT: http://review.gluster.org/10083 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 093639d8003695889923cc7a106519c1f9a4e2f0
Author: arao <arao@redhat.com>
Date:   Wed Apr 1 12:29:24 2015 +0530

    cli: Fixing dereference after null check
         and dead code removal
    
    CID: 1124609
    CID: 1124596
    CID: 1124471
    CID: 1124475
    CID: 1124476
    The pointer variables are checked before
    dereferencing and the dead code is removed
    
    BUG: 789278
    Change-Id: Ia532733a64401d71ccf1f2b6e434d7bc910e0ed1
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/10083
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 588 Anand Avati 2015-04-10 02:38:19 EDT
COMMIT: http://review.gluster.org/9644 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2b9a4799ef6caaeeca438c019f4a1f6cf423324a
Author: arao <arao@redhat.com>
Date:   Thu Feb 12 12:49:33 2015 +0530

    features/quota: Fixing Logically dead code
    
    CID: 1134007
    The code never reaches the condition check on retlen in
    ret label, hence removing the dead code.
    
    Change-Id: Ia0108b69489bb78a2561ff8da6e00685f472ae82
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9644
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 589 Anand Avati 2015-04-10 02:41:58 EDT
COMMIT: http://review.gluster.org/9582 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit ca9e4bf6bcc947dd7c179c93dae206c6cde4d3b5
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Wed Feb 4 17:19:40 2015 +0530

    gluster-cli : Extra checks for word_count removed.
    
    Coverity IDs:
    1124453
    1124454
    
    In the first case, In the beginning of the function check is made
    to see of the word_count is less than 4. If yes it returns. So it
    wouldn't reach this part if that check takes the true path. So
    this code is logically dead.
    
    In second and third case, this is in false branch for word_cound <6.
    So word_count can't possibly be less than 5 at this point.
    
    Change-Id: Id5e1c81045ce7bc0ee6b7612ea54ef2b7f54b699
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9582
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 590 Anand Avati 2015-04-10 03:32:09 EDT
REVIEW: http://review.gluster.org/9579 (gluster-cli : Removing logically dead code) posted (#7) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 591 Anand Avati 2015-04-10 03:38:13 EDT
REVIEW: http://review.gluster.org/9600 (rpc-lib: Fixing the coverity issues) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 592 Anand Avati 2015-04-10 04:30:29 EDT
REVIEW: http://review.gluster.org/9639 (io-stats: Fixing dereference after null check.) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 593 Anand Avati 2015-04-10 04:30:32 EDT
REVIEW: http://review.gluster.org/10188 (features/marker: Fixing dereference after null check) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 594 Anand Avati 2015-04-10 06:04:26 EDT
COMMIT: http://review.gluster.org/9579 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d57642044b720663c6474d318106c19e84f2c8bf
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Wed Feb 4 16:59:55 2015 +0530

    gluster-cli : Removing logically dead code
    
    Coverity CID: 1124451
    
    Change-Id: I7b2901fdd2ace4666f9e2c6deaf3838322a1c6ff
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9579
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 595 Anand Avati 2015-04-10 07:27:00 EDT
COMMIT: http://review.gluster.org/9639 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 320455bddfbadcfbe1b173b0de54b3b25bf228f7
Author: arao <arao@redhat.com>
Date:   Wed Feb 11 18:58:08 2015 +0530

    io-stats: Fixing dereference after null check.
    
    CID: 1124492
    If 'this' pointer fails to exist then the component is hard-coded
    in the gf_log if not it is dereferenced.
    
    Change-Id: I988137d4f5ac4c9aedef7cef0c75b167a8a5c59f
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9639
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 596 Anand Avati 2015-04-10 07:31:21 EDT
COMMIT: http://review.gluster.org/9600 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 26cbd3bdf5dad190559afbdf0ac125262c4e90a6
Author: Nandaja Varma <nandaja.varma@gmail.com>
Date:   Fri Feb 6 11:44:22 2015 +0530

    rpc-lib: Fixing the coverity issues
    
    Coverity CIDs:
    1210973
    1124887
    1124888
    1124682
    1124849
    1124503
    
    Change-Id: I012f6cf9d14753f572ab94aae6d442d1ef8df79a
    BUG: 789278
    Signed-off-by: Nandaja Varma <nandaja.varma@gmail.com>
    Reviewed-on: http://review.gluster.org/9600
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 597 Anand Avati 2015-04-11 01:34:18 EDT
REVIEW: http://review.gluster.org/9663 (dht: Fixing dereference after null check) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 598 Anand Avati 2015-04-11 01:40:25 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 599 Anand Avati 2015-04-11 03:38:19 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 600 Anand Avati 2015-04-13 02:51:48 EDT
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix) posted (#3) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 601 Anand Avati 2015-04-13 02:56:45 EDT
REVIEW: http://review.gluster.org/9630 (libglusterfs: coverity fix) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 602 Anand Avati 2015-04-13 03:25:55 EDT
REVIEW: http://review.gluster.org/9539 (glusterd : coverity fix for a string overflow) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 603 Anand Avati 2015-04-13 04:05:34 EDT
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 604 Anand Avati 2015-04-14 10:07:50 EDT
REVIEW: http://review.gluster.org/9663 (dht: Fixing dereference after null check) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 605 Anand Avati 2015-04-14 10:13:14 EDT
REVIEW: http://review.gluster.org/9651 (io-cache: Removing Logically dead code.) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 606 Anand Avati 2015-04-15 02:42:37 EDT
REVIEW: http://review.gluster.org/10242 (upcall: fix use-after free (CID 1288760, 1288761)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 607 Anand Avati 2015-04-15 03:15:00 EDT
REVIEW: http://review.gluster.org/9539 (glusterd : coverity fix for the string overflow) posted (#5) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 608 Anand Avati 2015-04-15 03:18:18 EDT
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#5) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 609 Anand Avati 2015-04-15 03:18:52 EDT
REVIEW: http://review.gluster.org/10247 (gfapi: fix potential non-0-terminated string (CID 1134002)) posted (#1) for review on master by Michael Adam (obnox@samba.org)
Comment 610 Anand Avati 2015-04-15 05:20:32 EDT
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix.) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 611 Anand Avati 2015-04-15 05:23:28 EDT
REVIEW: http://review.gluster.org/9630 (libglusterfs: coverity fix.) posted (#3) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 612 Anand Avati 2015-04-15 05:40:49 EDT
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#6) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 613 Anand Avati 2015-04-15 05:45:00 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 614 Anand Avati 2015-04-15 05:46:35 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#6) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 615 Anand Avati 2015-04-15 05:47:23 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value.) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 616 Anand Avati 2015-04-15 05:48:13 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#7) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 617 Anand Avati 2015-04-15 05:49:18 EDT
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check.) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 618 Anand Avati 2015-04-15 05:50:08 EDT
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#13) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 619 Anand Avati 2015-04-15 06:15:54 EDT
REVIEW: http://review.gluster.org/9558 (glusterd: Coverity fix for insecure temporary file) posted (#6) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 620 Anand Avati 2015-04-15 06:47:29 EDT
REVIEW: http://review.gluster.org/10252 (xlators/storage/posix: Fix Dereference before null check (CID 1293501).) posted (#1) for review on master by Günther Deschner (gd@samba.org)
Comment 621 Anand Avati 2015-04-16 02:49:05 EDT
REVIEW: http://review.gluster.org/9539 (glusterd : coverity fix for the string overflow) posted (#6) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 622 Anand Avati 2015-04-16 06:46:00 EDT
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#7) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 623 Anand Avati 2015-04-16 07:02:14 EDT
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix) posted (#5) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 624 Anand Avati 2015-04-17 02:59:35 EDT
REVIEW: http://review.gluster.org/10282 (posix: coverity fix for string overflow) posted (#1) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 625 Anand Avati 2015-04-17 19:24:02 EDT
COMMIT: http://review.gluster.org/10242 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 7fb85e3670cb4743436fd2cf0fbbf9c0869728ec
Author: Michael Adam <obnox@samba.org>
Date:   Wed Apr 15 08:34:13 2015 +0200

    upcall: fix use-after free (CID 1288760, 1288761)
    
    Coverity IDs:
    1288760 - Read from pointer after free
    1288761 - Use after free.
    
    Change-Id: Ide9405b9c30a3e27941054a4ae61f585ef09cd8c
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10242
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: soumya k <skoduri@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 626 Anand Avati 2015-04-18 08:18:18 EDT
COMMIT: http://review.gluster.org/10247 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit fc451b5b0fb8d7b3952ca6ecf91779cbcf00187f
Author: Michael Adam <obnox@samba.org>
Date:   Wed Apr 15 09:15:23 2015 +0200

    gfapi: fix potential non-0-terminated string (CID 1134002)
    
    Use correct target buffer length for strncpy and make
    sure that the target string is 0 terminated.
    
    Fixes Coverity ID 1134002.
    
    Change-Id: I97a74a94a818eb08a711e547f2ac6ae46087f065
    BUG: 789278
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/10247
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 627 Anand Avati 2015-04-18 09:01:05 EDT
COMMIT: http://review.gluster.org/10252 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2ae52207f40c8ec840d6ab0907a08fed6b30282a
Author: Günther Deschner <gd@samba.org>
Date:   Wed Apr 15 12:10:34 2015 +0200

    xlators/storage/posix: Fix Dereference before null check (CID 1293501).
    
    Coverity CID 1293501.
    
    Everywhere in this call "name" is explicitly checked for NULL derreference just
    not here in this path.
    
    Guenther
    
    Change-Id: Ie3e7b704702cb979a036052238ed65eda1531407
    BUG: 789278
    Signed-off-by: Günther Deschner <gd@samba.org>
    Reviewed-on: http://review.gluster.org/10252
    Tested-by: NetBSD Build System
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 628 Anand Avati 2015-04-18 10:50:49 EDT
REVIEW: http://review.gluster.org/9660 (dht : null dereference coverity fix.) posted (#2) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 629 Anand Avati 2015-04-18 23:53:57 EDT
REVIEW: http://review.gluster.org/9660 (dht : null dereference coverity fix) posted (#3) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 630 Anand Avati 2015-04-21 05:24:42 EDT
REVIEW: http://review.gluster.org/9660 (dht : null dereference coverity fix) posted (#4) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 631 Anand Avati 2015-04-21 09:20:15 EDT
REVIEW: http://review.gluster.org/10315 (features/trash: Minor coverity fixes) posted (#1) for review on master by Anoop C S (achiraya@redhat.com)
Comment 632 Anand Avati 2015-04-22 03:14:42 EDT
REVIEW: http://review.gluster.org/10315 (features/trash: Minor coverity fixes) posted (#2) for review on master by Anoop C S (achiraya@redhat.com)
Comment 633 Anand Avati 2015-04-22 05:52:02 EDT
REVIEW: http://review.gluster.org/10315 (features/trash: Minor coverity fixes) posted (#3) for review on master by Anoop C S (achiraya@redhat.com)
Comment 634 Anand Avati 2015-04-22 06:37:23 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value.) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 635 Anand Avati 2015-04-22 06:38:07 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#7) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 636 Anand Avati 2015-04-22 06:41:08 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 637 Anand Avati 2015-04-23 00:56:33 EDT
REVIEW: http://review.gluster.org/10315 (features/trash: Minor coverity fixes) posted (#4) for review on master by Anoop C S (achiraya@redhat.com)
Comment 638 Anand Avati 2015-04-23 03:13:16 EDT
REVIEW: http://review.gluster.org/9660 (dht : null dereference coverity fix) posted (#5) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 639 Anand Avati 2015-04-23 03:21:56 EDT
REVIEW: http://review.gluster.org/9660 (dht : Dereference coverity fix) posted (#6) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 640 Anand Avati 2015-04-23 03:28:29 EDT
REVIEW: http://review.gluster.org/9660 (dht : null dereference coverity fix) posted (#7) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 641 Anand Avati 2015-04-23 03:58:00 EDT
REVIEW: http://review.gluster.org/10348 (dht : null dereference coverity fix) posted (#1) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 642 Anand Avati 2015-04-23 06:35:52 EDT
REVIEW: http://review.gluster.org/10348 (dht : null dereference coverity fix.) posted (#2) for review on master by Manikandan S Selvaganesh (mselvaga@redhat.com)
Comment 643 Anand Avati 2015-04-23 12:46:39 EDT
COMMIT: http://review.gluster.org/9663 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 272b55b54b3f760f0b95b29ec37ed719852ce4ed
Author: arao <arao@redhat.com>
Date:   Tue Feb 17 15:14:53 2015 +0530

    dht: Fixing dereference after null check
    
    CID: 1175023
    The check for null is made before dereferencing
    the pointer variable alongside.
    
    Change-Id: I827927f2fcf6d1f365f4d6b5a678373020b9daf9
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9663
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
Comment 644 Anand Avati 2015-04-24 01:57:01 EDT
COMMIT: http://review.gluster.org/10315 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2e16e383128707806cecd9027088cde573ff182d
Author: Anoop C S <achiraya@redhat.com>
Date:   Wed Apr 15 13:01:51 2015 +0530

    features/trash: Minor coverity fixes
    
    CID 1288784
    CID 1288785
    CID 1288795
    CID 1288796
    CID 1288797
    CID 1288802
    
    Change-Id: I51dd7653a2dce3b7b6387e5d91c1c07eb157a04b
    BUG: 789278
    Signed-off-by: Anoop C S <achiraya@redhat.com>
    Reviewed-on: http://review.gluster.org/10315
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System
    Tested-by: jiffin tony Thottan <jthottan@redhat.com>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
Comment 645 Anand Avati 2015-04-24 02:56:14 EDT
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 646 Anand Avati 2015-04-24 08:31:15 EDT
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#7) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 647 Anand Avati 2015-04-24 09:02:15 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#6) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 648 Anand Avati 2015-04-24 10:05:00 EDT
REVIEW: http://review.gluster.org/10301 (xlators/cluster/dht: Fix Resource leak (CID 1291751)) posted (#2) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)
Comment 649 Anand Avati 2015-04-25 01:27:12 EDT
COMMIT: http://review.gluster.org/10301 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit de9d06cd7cfca0b42beffe003e7c1e09d469ca7e
Author: Günther Deschner <gd@samba.org>
Date:   Mon Apr 20 13:16:59 2015 +0200

    xlators/cluster/dht: Fix Resource leak (CID 1291751)
    
    Coverity CID 1291751.
    
    Guenther
    
    Change-Id: Ibe9dc3662811dc5889f85fa063ab9211fcaf7f12
    BUG: 789278
    Signed-off-by: Guenther Deschner <gd@samba.org>
    Reviewed-on: http://review.gluster.org/10301
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 650 Anand Avati 2015-04-26 09:37:57 EDT
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check.) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 651 Anand Avati 2015-04-26 09:38:11 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#8) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 652 Anand Avati 2015-04-26 09:38:30 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value.) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 653 Anand Avati 2015-04-26 09:38:44 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#8) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 654 Anand Avati 2015-04-26 09:39:20 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#7) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 655 Anand Avati 2015-04-27 01:36:52 EDT
REVIEW: http://review.gluster.org/9565 (libglusterfs: Fixing insecure temp file coverity issue) posted (#8) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 656 Anand Avati 2015-04-27 08:31:18 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#9) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 657 Anand Avati 2015-04-27 08:31:29 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#9) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 658 Anand Avati 2015-04-27 08:31:36 EDT
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check.) posted (#5) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 659 Anand Avati 2015-04-27 08:32:24 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value.) posted (#6) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 660 Anand Avati 2015-04-29 05:57:35 EDT
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check) posted (#6) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 661 Anand Avati 2015-04-30 11:48:19 EDT
COMMIT: http://review.gluster.org/9557 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit 7d7b80efe8c745f3ff7de76fc31c4977098cae01
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Tue Feb 3 13:17:04 2015 +0530

    changelog: Fixing buffer overrun coverity issues.
    
    Coverity IDs:
    1214630
    1214631
    1214633
    1234643
    
    Change-Id: I172c4f49bf651b2324522f9e661023f73ca05339
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9557
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Sakshi Bansal
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
Comment 662 Anand Avati 2015-05-02 11:07:15 EDT
REVIEW: http://review.gluster.org/9590 (geo-rep: Fixing of STRING_OVERFLOW features/changelog: Fixing copy into fixed size buffer) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 663 Anand Avati 2015-05-06 01:17:11 EDT
REVIEW: http://review.gluster.org/10595 (changelog: Fixing buffer overrun coverity issues.) posted (#1) for review on release-3.7 by Nandaja Varma (nandaja.varma@gmail.com)
Comment 664 Anand Avati 2015-05-07 07:54:18 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#8) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 665 Anand Avati 2015-05-07 08:11:27 EDT
COMMIT: http://review.gluster.org/10595 committed in release-3.7 by Venky Shankar (vshankar@redhat.com) 
------
commit e4c14bccb5abff6dcb8194b0da66dc1e73744256
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Tue Feb 3 13:17:04 2015 +0530

    changelog: Fixing buffer overrun coverity issues.
    
    Coverity IDs:
    1214630
    1214631
    1214633
    1234643
    
    Backport of: http://review.gluster.org/9557
    
    Change-Id: I172c4f49bf651b2324522f9e661023f73ca05339
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9557
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Sakshi Bansal
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    (cherry picked from commit 7d7b80efe8c745f3ff7de76fc31c4977098cae01)
    Reviewed-on: http://review.gluster.org/10595
    Tested-by: NetBSD Build System
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 666 Anand Avati 2015-05-07 08:27:37 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#10) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 667 Anand Avati 2015-05-07 09:07:38 EDT
REVIEW: http://review.gluster.org/9666 (dht: Fixing dereference after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 668 Anand Avati 2015-05-07 09:30:20 EDT
REVIEW: http://review.gluster.org/9550 (geo-rep: Fixing memory leak and tainted string) posted (#14) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 669 Anand Avati 2015-05-08 02:16:08 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#11) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 670 Anand Avati 2015-05-08 04:22:41 EDT
COMMIT: http://review.gluster.org/9666 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 1a9df097463d41679b87b6cbd4634fc3390fe82c
Author: arao <arao@redhat.com>
Date:   Tue Feb 17 16:53:14 2015 +0530

    dht: Fixing dereference after null check
    
    CID: 1223229
    The 'loc' ptr is not checked before
    dereferencing, which is handled.
    
    Change-Id: Icf668150bde190e6f1b9f58a038099338516efe8
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9666
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>
Comment 671 Anand Avati 2015-05-11 17:03:16 EDT
REVIEW: http://review.gluster.org/9632 (fuse: Fixing dereference after null check) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 672 Anand Avati 2015-05-12 06:07:13 EDT
REVIEW: http://review.gluster.org/10300 (xlators/cluster/dht: Fix Explicit null dereferenced (CID 1291727).) posted (#2) for review on master by Günther Deschner (gd@samba.org)
Comment 673 Anand Avati 2015-05-14 05:25:46 EDT
REVIEW: http://review.gluster.org/10782 (gfapi : zero size issue in glfs_h_acl_set()) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 674 Anand Avati 2015-05-14 08:11:58 EDT
REVIEW: http://review.gluster.org/10782 (gfapi: zero size issue in glfs_h_acl_set()) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 675 Anand Avati 2015-05-18 10:56:55 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#12) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 676 Anand Avati 2015-05-19 04:25:32 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#9) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 677 Anand Avati 2015-05-19 05:04:11 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#10) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 678 Anand Avati 2015-05-20 05:20:47 EDT
REVIEW: http://review.gluster.org/9641 (features/marker: Fixing dereference after null check) posted (#8) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 679 Anand Avati 2015-05-20 06:30:04 EDT
REVIEW: http://review.gluster.org/10839 (io-cache: Removing Logically dead code) posted (#1) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 680 Anand Avati 2015-05-20 07:41:33 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#10) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 681 Anand Avati 2015-05-20 08:00:48 EDT
REVIEW: http://review.gluster.org/9650 (glusterd: coverity fix for TOCTOU) posted (#2) for review on master by Sakshi Bansal
Comment 682 Anand Avati 2015-05-20 08:02:20 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#13) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 683 Anand Avati 2015-05-20 08:09:51 EDT
REVIEW: http://review.gluster.org/9539 (glusterd: coverity fix for string overflow) posted (#7) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 684 Anand Avati 2015-05-20 08:17:47 EDT
REVIEW: http://review.gluster.org/9630 (libglusterfs: coverity fix) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 685 Anand Avati 2015-05-20 08:19:31 EDT
REVIEW: http://review.gluster.org/9558 (glusterd: Coverity fix for insecure temporary file) posted (#7) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 686 Anand Avati 2015-05-20 08:25:41 EDT
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix) posted (#6) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 687 Anand Avati 2015-05-20 08:26:47 EDT
REVIEW: http://review.gluster.org/10282 (posix: coverity fix for string overflow) posted (#2) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 688 Anand Avati 2015-05-20 08:28:44 EDT
REVIEW: http://review.gluster.org/9555 (glusterd: coverity fix for string overflow) posted (#6) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 689 Anand Avati 2015-05-20 08:29:49 EDT
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#8) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 690 Anand Avati 2015-05-21 05:14:20 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#11) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 691 Anand Avati 2015-05-21 06:25:44 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#14) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 692 Anand Avati 2015-05-21 06:29:01 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#12) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 693 Anand Avati 2015-05-22 03:47:10 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#15) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 694 Anand Avati 2015-05-23 04:28:21 EDT
REVIEW: http://review.gluster.org/10782 (gfapi: zero size issue in glfs_h_acl_set()) posted (#3) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 695 Anand Avati 2015-05-25 07:14:28 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#13) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 696 Anand Avati 2015-05-25 08:20:46 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value) posted (#7) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 697 Anand Avati 2015-05-25 08:27:03 EDT
REVIEW: http://review.gluster.org/9670 (features/changelog: Fixing missing unlock) posted (#11) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 698 Anand Avati 2015-05-25 08:33:56 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#16) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 699 Anand Avati 2015-05-25 08:43:46 EDT
REVIEW: http://review.gluster.org/9625 (glusterd: Fixing Dereference after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 700 Anand Avati 2015-05-25 08:59:56 EDT
REVIEW: http://review.gluster.org/9636 (glusterd: Dereference after null check) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 701 Anand Avati 2015-05-25 09:01:55 EDT
REVIEW: http://review.gluster.org/10782 (gfapi: zero size issue in glfs_h_acl_set()) posted (#4) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 702 Anand Avati 2015-05-25 16:18:53 EDT
REVIEW: http://review.gluster.org/10782 (gfapi: zero size issue in glfs_h_acl_set()) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 703 Anand Avati 2015-05-26 03:23:55 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value) posted (#8) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 704 Anand Avati 2015-05-27 05:32:10 EDT
REVIEW: http://review.gluster.org/9625 (glusterd: Fixing Dereference after null check) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 705 Anand Avati 2015-05-27 05:32:22 EDT
REVIEW: http://review.gluster.org/9636 (glusterd: Dereference after null check) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 706 Anand Avati 2015-05-27 05:33:35 EDT
REVIEW: http://review.gluster.org/9658 (protocol-client: Fixing unchecked return value) posted (#9) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 707 Anand Avati 2015-05-28 05:04:09 EDT
COMMIT: http://review.gluster.org/10782 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit ae9604bbdb4f87ee3f6f11adc3ce6cd140620055
Author: Jiffin Tony Thottan <jthottan@redhat.com>
Date:   Thu May 14 14:37:25 2015 +0530

    gfapi: zero size issue in glfs_h_acl_set()
    
    When setting the stringified ACLs in the xattr dict through
    pub_glfs_h_setxattrs(), the size of the string is always passed as 0.
    The correct way is to pass the length of the ACL in text form.
    
    While verifying this issues, it seems that posix_pacl_set() should
    return the errno instead of -1. This helps in debugging, otherwise EPERM
    would always be returned on an error.
    
    [ndevos: fix off-by-one strlen() and return errno in posix_pacl_set()]
    Change-Id: Ia7a7fa1f3a7d615a813c703057dc97b09a0bbb34
    BUG: 789278
    Signed-off-by: Jiffin Tony Thottan <jthottan@redhat.com>
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/10782
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 708 Anand Avati 2015-05-28 07:50:50 EDT
COMMIT: http://review.gluster.org/10300 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 19d7b6097393e4bf20f77e96cc4b3dd8f2561513
Author: Günther Deschner <gd@samba.org>
Date:   Thu Apr 16 11:29:00 2015 +0200

    xlators/cluster/dht: Fix Explicit null dereferenced (CID 1291727).
    
    Coverity CID 1291727.
    
    Guenther
    
    Change-Id: I95f01b638f74370f0ef04383f0f9d5799abe31f5
    BUG: 789278
    Signed-off-by: Guenther Deschner <gd@samba.org>
    Reviewed-on: http://review.gluster.org/10300
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 709 Anand Avati 2015-05-30 05:37:05 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#18) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 710 Anand Avati 2015-05-30 05:37:51 EDT
REVIEW: http://review.gluster.org/9636 (glusterd: Dereference after null check) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 711 Anand Avati 2015-05-30 07:07:57 EDT
REVIEW: http://review.gluster.org/9586 (glusterd: coverity fix) posted (#9) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 712 Anand Avati 2015-05-30 07:08:03 EDT
REVIEW: http://review.gluster.org/9650 (glusterd: coverity fix for TOCTOU) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 713 Anand Avati 2015-05-31 18:24:09 EDT
REVIEW: http://review.gluster.org/9647 (protocol-server: Removal of Logically dead code) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 714 Anand Avati 2015-05-31 18:24:35 EDT
REVIEW: http://review.gluster.org/9645 (features/snapview: Fixing Logically dead code) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 715 Anand Avati 2015-06-02 03:44:15 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#15) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 716 Anand Avati 2015-06-08 02:38:08 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#16) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 717 Anand Avati 2015-06-08 09:06:29 EDT
REVIEW: http://review.gluster.org/10869 (dht:updating return value for layout set function) posted (#3) for review on master by Sakshi Bansal
Comment 718 Anand Avati 2015-06-10 05:17:50 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#18) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 719 Anand Avati 2015-06-12 03:48:22 EDT
COMMIT: http://review.gluster.org/9565 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 886f65fabc50c256a7de57fd05281a75bba3cac9
Author: Nandaja Varma <nvarma@redhat.com>
Date:   Tue Feb 3 16:35:33 2015 +0530

    libglusterfs: Fixing insecure temp file coverity issue
    
    Coverity CID: 1124835
    
    Change-Id: I7e87f2b3bad35cf8a9c64c8502de23662d9f677f
    BUG: 789278
    Signed-off-by: Nandaja Varma <nvarma@redhat.com>
    Reviewed-on: http://review.gluster.org/9565
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Sakshi Bansal
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
Comment 720 Anand Avati 2015-06-17 03:19:11 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#25) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 721 Anand Avati 2015-06-18 09:23:45 EDT
REVIEW: http://review.gluster.org/9897 (afr: Porting messages to new logging framework      updated) posted (#27) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 722 Anand Avati 2015-06-29 02:28:15 EDT
REVIEW: http://review.gluster.org/9625 (glusterd: Fixing Dereference after null check) posted (#4) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 723 Anand Avati 2015-06-29 02:38:55 EDT
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#19) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 724 Anand Avati 2015-06-29 02:49:46 EDT
REVIEW: http://review.gluster.org/9661 (glusterd: Fixing dereference after null check) posted (#2) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 725 Anand Avati 2015-06-29 02:57:29 EDT
REVIEW: http://review.gluster.org/9661 (glusterd: Fixing dereference after null check) posted (#3) for review on master by Anusha B.Rao (anusha91rao@gmail.com)
Comment 726 Anand Avati 2015-07-13 00:57:03 EDT
COMMIT: http://review.gluster.org/9661 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit 608a9f24954c716492d9dd69b1e56e439aa66243
Author: arao <arao@redhat.com>
Date:   Mon Feb 16 16:59:48 2015 +0530

    glusterd: Fixing dereference after null check
    
    CID: 1124557
    Checking for the pointer itself before dereferencing
    it to check for the variable's value it is pointed to.
    
    Change-Id: Idcbb034e4c6d58501697e01e90647b6233a5e5ba
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9661
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
Comment 727 Anand Avati 2015-07-14 08:57:12 EDT
REVIEW: http://review.gluster.org/11665 (cli: coverity) posted (#1) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 728 Anand Avati 2015-07-14 09:16:28 EDT
REVIEW: http://review.gluster.org/11665 (cli: fixing the coverity issue) posted (#2) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 729 Anand Avati 2015-07-17 07:37:55 EDT
COMMIT: http://review.gluster.org/9641 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit b21f3b3ce69c6b1b0eb6f8243b5c601c5c4b7cbe
Author: arao <arao@redhat.com>
Date:   Thu Feb 12 10:22:42 2015 +0530

    features/marker: Fixing dereference after null check
    
    CID: 1124494
    The variable was sent as a parameter to the function without the null check,
    hence added a check on null and error log accordingly.
    
    Change-Id: I11a649fc9a1bedad17422aeddb8dd8fa225d404e
    BUG: 789278
    Signed-off-by: arao <arao@redhat.com>
    Reviewed-on: http://review.gluster.org/9641
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 730 Anand Avati 2015-07-18 11:30:52 EDT
REVIEW: http://review.gluster.org/6910 (libgfapi & glusterfsd: Safe temp file creation) posted (#12) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 731 Anand Avati 2015-07-20 02:05:44 EDT
REVIEW: http://review.gluster.org/11665 (cli: coverity fix for conditional operator) posted (#3) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 732 Anand Avati 2015-07-21 05:44:49 EDT
REVIEW: http://review.gluster.org/11665 (cli: coverity fix for conditional operator) posted (#4) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 733 Anand Avati 2015-07-21 07:28:00 EDT
REVIEW: http://review.gluster.org/11665 (cli: coverity fix for comparison) posted (#5) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 734 Anand Avati 2015-07-30 05:23:07 EDT
REVIEW: http://review.gluster.org/10869 (dht :updating return value for layout set function) posted (#4) for review on master by Sakshi Bansal (sabansal@redhat.com)
Comment 735 Anand Avati 2015-08-04 05:17:22 EDT
REVIEW: http://review.gluster.org/11665 (cli: coverity fix for comparison) posted (#6) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 736 Anand Avati 2015-08-05 01:20:14 EDT
REVIEW: http://review.gluster.org/11665 (cli: changing the assignment to comparison operator on an if statement) posted (#7) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 737 Anand Avati 2015-08-05 02:24:23 EDT
REVIEW: http://review.gluster.org/11665 (cli: changing the assignment to comparison operator on an if statement) posted (#8) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 738 Anand Avati 2015-08-12 01:50:56 EDT
REVIEW: http://review.gluster.org/11665 (cli: changing the assignment to comparison operator on an if statement) posted (#9) for review on master by hari gowtham (hari.gowtham005@gmail.com)
Comment 739 Anand Avati 2015-08-13 02:00:22 EDT
COMMIT: http://review.gluster.org/10869 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 830ad21fa8100eb15586eee771274d6d3caf4347
Author: Sakshi <sabansal@redhat.com>
Date:   Wed May 20 17:33:57 2015 +0530

    dht : updating return value for layout set function
    
    Change-Id: I7fd89e00b418391afe0a13c2033919c979cc8bbb
    BUG: 789278
    Signed-off-by: Sakshi <sabansal@redhat.com>
    Reviewed-on: http://review.gluster.org/10869
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
Comment 740 Anand Avati 2015-08-13 05:23:53 EDT
COMMIT: http://review.gluster.org/11665 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 15796b3d3efb998bdb5413ac0ad1af1903cae493
Author: Hari Gowtham <hgowtham@redhat.com>
Date:   Tue Jul 14 18:23:16 2015 +0530

    cli: changing the assignment to comparison operator on an if statement
    
    CID: 1124702
    
    Change-Id: I6366834224a8176824070150b7f2af76b4d65b7f
    BUG: 789278
    Signed-off-by: Hari Gowtham <hgowtham@redhat.com>
    Reviewed-on: http://review.gluster.org/11665
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 741 Vijay Bellur 2015-09-10 06:33:36 EDT
REVIEW: http://review.gluster.org/12150 (BZ 789278: Coverity bug fixes for logically dead code) posted (#1) for review on master by Akhil Bhansali (bhansaliakhil@gmail.com)
Comment 742 Vijay Bellur 2015-09-14 01:36:31 EDT
REVIEW: http://review.gluster.org/12150 (BZ 789278: Coverity bug fixes for logically dead code) posted (#2) for review on master by Akhil Bhansali (bhansaliakhil@gmail.com)
Comment 743 Vijay Bellur 2015-09-14 05:56:53 EDT
REVIEW: http://review.gluster.org/12150 (BZ 789278: Coverity bug fixes for logically dead code) posted (#3) for review on master by Akhil Bhansali (bhansaliakhil@gmail.com)
Comment 744 Vijay Bellur 2015-10-14 05:38:27 EDT
REVIEW: http://review.gluster.org/12359 (BZ 789278 : missing break in switch) posted (#1) for review on master by Ashta Bhuja Tripathi (tripathiab13@gmail.com)
Comment 745 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.
Comment 746 Vijay Bellur 2015-11-02 02:05:41 EST
REVIEW: http://review.gluster.org/9637 (cli: Fixing dereference after null check) posted (#20) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)
Comment 747 Vijay Bellur 2016-02-23 04:24:15 EST
REVIEW: http://review.gluster.org/13496 (ganesha : minor coverity fixes) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 748 Vijay Bellur 2016-02-23 05:51:57 EST
REVIEW: http://review.gluster.org/13496 (ganesha : coverity fix in glusterd-ganesha.c) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 749 Mike McCune 2016-03-28 18:21:53 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 750 Vijay Bellur 2016-04-07 02:39:36 EDT
REVIEW: http://review.gluster.org/10282 (posix: coverity fix for string overflow) posted (#4) for review on master by Sakshi Bansal
Comment 751 Vijay Bellur 2016-04-07 02:40:12 EDT
REVIEW: http://review.gluster.org/9539 (glusterd: coverity fix for string overflow) posted (#8) for review on master by Sakshi Bansal
Comment 752 Vijay Bellur 2016-04-07 02:40:21 EDT
REVIEW: http://review.gluster.org/9558 (glusterd: coverity fix for insecure temporary file) posted (#9) for review on master by Sakshi Bansal
Comment 753 Vijay Bellur 2016-04-12 01:10:38 EDT
REVIEW: http://review.gluster.org/9539 (glusterd: coverity fix for string overflow) posted (#9) for review on master by Sakshi Bansal
Comment 754 Vijay Bellur 2016-04-12 01:17:08 EDT
REVIEW: http://review.gluster.org/10282 (posix: coverity fix for string overflow) posted (#5) for review on master by Sakshi Bansal
Comment 755 Vijay Bellur 2016-04-12 01:24:02 EDT
REVIEW: http://review.gluster.org/9650 (glusterd: coverity fix for TOCTOU) posted (#4) for review on master by Sakshi Bansal
Comment 756 Vijay Bellur 2016-04-12 01:29:58 EDT
REVIEW: http://review.gluster.org/9608 (glusterfsd: coverity fix) posted (#8) for review on master by Sakshi Bansal
Comment 757 Vijay Bellur 2016-04-12 05:50:18 EDT
REVIEW: http://review.gluster.org/9630 (libglusterfs: coverity fix) posted (#5) for review on master by Sakshi Bansal
Comment 758 Vijay Bellur 2016-04-12 08:07:29 EDT
COMMIT: http://review.gluster.org/9558 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 9395b30964ede412ff48e744360b02920daa3a17
Author: Sakshi <sabansal@redhat.com>
Date:   Wed Apr 15 15:30:51 2015 +0530

    glusterd: coverity fix for insecure temporary file
    
    Set umask before creating temporary file
    
    Change-Id: Ia39af63b05ce68f3f3af6585b70d4129a5530269
    BUG: 789278
    Signed-off-by: Sakshi <sabansal@redhat.com>
    Reviewed-on: http://review.gluster.org/9558
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 759 Vijay Bellur 2016-04-12 12:12:02 EDT
COMMIT: http://review.gluster.org/9608 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit eb7cbf37df611fc5288eb75c7d46ef44fe7d6bab
Author: Sakshi Bansal <sabansal@redhat.com>
Date:   Mon Feb 9 14:28:21 2015 +0530

    glusterfsd: coverity fix
    
    CID 1124846: string overflow
    CID 1124363: checked return value
    CID 1210982: unsigned compare
    
    Change-Id: I5995d98c07750615657668535fcc23ac30b3523b
    BUG: 789278
    Signed-off-by: Sakshi Bansal <sabansal@redhat.com>
    Reviewed-on: http://review.gluster.org/9608
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 760 Vijay Bellur 2016-04-14 02:32:44 EDT
REVIEW: http://review.gluster.org/9630 (libglusterfs: coverity fix) posted (#6) for review on master by Sakshi Bansal
Comment 761 Vijay Bellur 2016-04-14 08:55:55 EDT
COMMIT: http://review.gluster.org/9630 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit d5409aae63a7ac5e5b3ea6cfa16c6250a028291c
Author: Sakshi <sabansal@redhat.com>
Date:   Wed Apr 15 13:28:24 2015 +0530

    libglusterfs: coverity fix
    
    fix missing varargs cleanup
    
    CID 1124856: string overflow
    
    CID 1124656: NULL return
    
    CID 1124374: constant expression
    
    Change-Id: Iead530c599bdfef05a40c68b892215f4e4f02247
    BUG: 789278
    Signed-off-by: Sakshi Bansal <sabansal@redhat.com>
    Reviewed-on: http://review.gluster.org/9630
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 762 Vijay Bellur 2016-06-28 07:41:13 EDT
REVIEW: http://review.gluster.org/14818 (glusterd/cli: coverity fixes) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 763 Vijay Bellur 2016-06-28 16:30:59 EDT
COMMIT: http://review.gluster.org/14818 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit c2d3703ed70d13063d693f135d89538db526ad5c
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Tue Jun 28 15:32:17 2016 +0530

    glusterd/cli: coverity fixes
    
    A downstream coverity run has revealed few of the following coverity defects.
    Since the downstream code is a clone of a specific upstream branch the defects
    hold true for the upstream as well.
    
    Defect type: NEGATIVE_RETURNS
    xlators/mgmt/glusterd/src/glusterd-rpc-ops.c:641: negative_returns: "op_errno"
    is passed to a parameter that cannot be negative.
    
    Defect type: BUFFER_SIZE_WARNING
    xlators/mgmt/glusterd/src/glusterd-volume-ops.c:2124: buffer_size_warning:
    Calling strncpy with a maximum size argument of 261 bytes on destination array
    "volinfo->volname" of size 261 bytes might leave the destination string
    unterminated.
    
    Defect type: BUFFER_SIZE_WARNING
    xlators/mgmt/glusterd/src/glusterd-volgen.c:4888: buffer_size_warning: Calling
    strncpy with a maximum size argument of 261 bytes on destination array
    "volinfo->volname" of size 261 bytes might leave the destination string
    unterminated.
    
    Defect type: STRING_OVERFLOW
    xlators/mgmt/glusterd/src/glusterd-volgen.c:3449: string_overflow: You might
    overrun the 256 byte destination string "tmp_volname" by writing 261 bytes from
    "volinfo->volname".
    
    Defect type: BUFFER_SIZE_WARNING
    xlators/mgmt/glusterd/src/glusterd-utils.c:3392: buffer_size_warning: Calling
    strncpy with a maximum size argument of 261 bytes on destination array
    "new_volinfo->volname" of size 261 bytes might leave the destination string
    unterminated.
    
    Defect type: NO_EFFECT
    xlators/mgmt/glusterd/src/glusterd-utils.c:7359: remediation: Was
    "rebal->rebalance_id" formerly declared as a pointer?
    
    Defect type: USE_AFTER_FREE
    xlators/mgmt/glusterd/src/glusterd-utils.c:7115: pass_freed_arg: Passing freed
    pointer "volinfo" as an argument to "glusterd_friend_contains_vol_bricks".
    
    Defect type: DEADCODE
    cli/src/cli-cmd-parser.c:1767: dead_error_begin: Execution cannot reach this
    statement: "ret = -1;".
    
    Change-Id: Ie941bdf31923e2f39618dd94bfae16fdb3ad65f1
    BUG: 789278
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/14818
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 764 Vijay Bellur 2016-07-12 02:37:46 EDT
REVIEW: http://review.gluster.org/14899 (cli:  fixing resource leak) posted (#1) for review on master by Anonymous Coward
Comment 765 Vijay Bellur 2016-07-12 02:44:00 EDT
REVIEW: http://review.gluster.org/14899 (cli:  fixing resource leak) posted (#2) for review on master by Anonymous Coward
Comment 766 Vijay Bellur 2016-07-12 02:49:16 EDT
REVIEW: http://review.gluster.org/14899 (cli : fixing resource leak) posted (#3) for review on master by Anonymous Coward
Comment 767 Vijay Bellur 2016-07-12 03:22:23 EDT
REVIEW: http://review.gluster.org/14902 (cli: fixing the resource leak) posted (#2) for review on master by Anonymous Coward
Comment 768 Vijay Bellur 2016-07-12 07:05:55 EDT
REVIEW: http://review.gluster.org/14902 (cli: fixing the resource leak) posted (#3) for review on master by Anonymous Coward
Comment 769 Vijay Bellur 2016-07-13 02:45:04 EDT
REVIEW: http://review.gluster.org/14902 (cli: fixing the resource leak) posted (#4) for review on master by Anonymous Coward
Comment 770 Vijay Bellur 2016-07-18 06:55:37 EDT
REVIEW: http://review.gluster.org/14902 (cli: fixing the resource leak) posted (#5) for review on master by Anonymous Coward
Comment 771 Vijay Bellur 2016-07-18 07:02:42 EDT
REVIEW: http://review.gluster.org/14902 (cli: fixing the resource leak) posted (#6) for review on master by Anonymous Coward
Comment 772 Vijay Bellur 2016-07-18 09:02:48 EDT
REVIEW: http://review.gluster.org/14902 (cli: fixing the resource leak) posted (#7) for review on master by Muthu Vigneshwaran
Comment 773 Vijay Bellur 2016-07-22 18:53:08 EDT
REVIEW: http://review.gluster.org/14975 (core: missunderstanding about GF_PROTOCOL_DICT_SERIALIZE) posted (#3) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)
Comment 774 Vijay Bellur 2016-08-05 04:46:59 EDT
REVIEW: http://review.gluster.org/15094 (rpc: fixing illegal memory access) posted (#1) for review on master by Muthu Vigneshwaran
Comment 775 Vijay Bellur 2016-08-05 04:48:30 EDT
REVIEW: http://review.gluster.org/15094 (rpc: fixing illegal memory access CID:1357876) posted (#2) for review on master by Muthu Vigneshwaran
Comment 776 Vijay Bellur 2016-08-05 04:49:20 EDT
REVIEW: http://review.gluster.org/15094 (rpc: fixing illegal memory access) posted (#3) for review on master by Muthu Vigneshwaran
Comment 777 Vijay Bellur 2016-08-11 08:23:42 EDT
REVIEW: http://review.gluster.org/15148 (cli,rpc : Removing logically dead code) posted (#1) for review on master by Muthu Vigneshwaran
Comment 778 Vijay Bellur 2016-08-11 09:20:01 EDT
COMMIT: http://review.gluster.org/15094 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit d7c7f87ee3f442ef24cbffb30df289bb26b20a5d
Author: Muthu-vigneshwaran <mvignesh@redhat.com>
Date:   Fri Aug 5 14:05:36 2016 +0530

    rpc: fixing illegal memory access
    
    CID:1357876
    
    Change-Id: I34eee0bf0367f963ddf6e9d6b28b7d3a9af12c90
    BUG: 789278
    Signed-off-by: Muthu-vigneshwaran <mvignesh@redhat.com>
    Reviewed-on: http://review.gluster.org/15094
    Tested-by: Muthu Vigneshwaran
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 779 Worker Ant 2016-08-25 04:26:53 EDT
REVIEW: http://review.gluster.org/15310 (rpc: dead code fix) posted (#3) for review on master by ankitraj
Comment 780 Worker Ant 2016-08-25 05:23:48 EDT
REVIEW: http://review.gluster.org/15310 (rpc: dead code fix) posted (#4) for review on master by ankitraj
Comment 781 Worker Ant 2016-08-25 05:23:51 EDT
REVIEW: http://review.gluster.org/15317 (rpc: dead code change) posted (#1) for review on master by ankitraj
Comment 782 Worker Ant 2016-08-25 05:30:24 EDT
REVIEW: http://review.gluster.org/15310 (rpc: dead code fix) posted (#5) for review on master by ankitraj
Comment 783 Worker Ant 2016-08-25 14:31:07 EDT
REVIEW: http://review.gluster.org/15320 (dht: dht_refresh_layout_cbk) posted (#1) for review on master by ankitraj
Comment 784 Worker Ant 2016-08-25 14:43:01 EDT
REVIEW: http://review.gluster.org/15320 (dht: dht_refresh_layout_cbk) posted (#2) for review on master by ankitraj
Comment 785 Worker Ant 2016-08-26 04:16:56 EDT
REVIEW: http://review.gluster.org/15326 (dht: incorrect data type expression in chunk) posted (#1) for review on master by ankitraj
Comment 786 Worker Ant 2016-08-26 04:31:10 EDT
REVIEW: http://review.gluster.org/15326 (dht: incorrect data type expression in chunk) posted (#2) for review on master by ankitraj
Comment 787 Worker Ant 2016-08-29 02:08:39 EDT
REVIEW: http://review.gluster.org/15310 (rpc: dead code fix) posted (#6) for review on master by ankitraj
Comment 788 Worker Ant 2016-08-29 08:11:51 EDT
COMMIT: http://review.gluster.org/15148 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit ddcf0183adebe528a3b069358a1f856eeeae5857
Author: Muthu-vigneshwaran <mvignesh@redhat.com>
Date:   Thu Aug 11 17:07:29 2016 +0530

    cli,rpc : Removing logically dead code
    
    CID = 1357865, 1357866
    
    Change-Id: I05eb345e9357d889872d259a600759392b188bb3
    BUG: 789278
    Signed-off-by: Muthu-vigneshwaran <mvignesh@redhat.com>
    Reviewed-on: http://review.gluster.org/15148
    Tested-by: Muthu Vigneshwaran
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>
Comment 789 Worker Ant 2016-08-29 12:24:42 EDT
COMMIT: http://review.gluster.org/15310 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit ec5c0ca6768b33761aa438f9948c4a6daaf4ee3c
Author: ankit <anraj@redhat.com>
Date:   Wed Aug 24 21:34:35 2016 +0530

    rpc: dead code fix
    
    CID: 1357866
    
    Change-Id: I117cfd455b05df8d2bd9c8df4a081ffe4d053d09
    BUG: 789278
    Signed-off-by: ankit <anraj@redhat.com>
    Reviewed-on: http://review.gluster.org/15310
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Tested-by: ankitraj
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 790 Worker Ant 2016-09-15 17:53:53 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#1) for review on master by ankitraj
Comment 791 Worker Ant 2016-09-15 18:16:16 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#2) for review on master by ankitraj
Comment 792 Worker Ant 2016-09-20 08:11:28 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#3) for review on master by ankitraj
Comment 793 Worker Ant 2016-09-20 08:35:19 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#4) for review on master by ankitraj
Comment 794 Worker Ant 2016-09-20 11:26:04 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#5) for review on master by ankitraj
Comment 795 Worker Ant 2016-09-21 02:31:57 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#6) for review on master by ankitraj
Comment 796 Worker Ant 2016-09-30 06:05:10 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix) posted (#7) for review on master by ankitraj
Comment 797 Worker Ant 2016-09-30 06:06:39 EDT
REVIEW: http://review.gluster.org/15515 (dht: derefrence null pointer coverity fix From the code inspection, I have obseved that at two places there is a need of derefrencing for dht_refresh_layout and dht_refresh_layout_cbk functions to avoid an extra reference.) posted (#8) for review on master by ankitraj

Note You need to log in before you can comment on or make changes to this bug.